    .386
    .model  flat, stdcall
    option  casemap:none

    include \GeneSys\include\windows.inc
    include \GeneSys\macros\macros.asm
    uselib  kernel32,shell32,user32,comctl32

; Prototypes
;---------------------------------------
AddItems        PROTO
DlgProc2        PROTO :DWORD, :DWORD, :DWORD, :DWORD
InsertColumns   PROTO :DWORD,:DWORD,:DWORD,:DWORD,:DWORD,:DWORD

.const
;---------------------------------------
IDM_EXIT    equ 1005
IDD_DLG1    equ 15001
IDC_LIST1   equ 15002

.data
;---------------------------------------
szColumn1   db  "Mnemonic",0
szColumn2   db  "Opcodes", 0
szColumn3   db  "Register\Memory Usage", 0
szColumn4   db  "Description", 0
szColumn5   db  "Minimum CPU", 0
ASCII       db  "AAA        ", 0, "37              ", 0, "n/a                 ", 0, "ASCII adjust after addition.                                      ", 0, "86           ", 0
            db  "AAD        ", 0, "D5 0A           ", 0, "n/a                 ", 0, "ASCII adjust AX before division.                                  ", 0, "86           ", 0
            db  "AAM        ", 0, "D4 0A           ", 0, "n/a                 ", 0, "ASCII adjust AX after multiply.                                   ", 0, "86           ", 0
            db  "AAS        ", 0, "3F              ", 0, "n/a                 ", 0, "ASCII adjust AL after subtraction.                                ", 0, "86           ", 0
            db  "ADC        ", 0, "14 ib           ", 0, "AL, imm8            ", 0, "Add two integers with carry.                                      ", 0, "86           ", 0
            db  "ADC        ", 0, "15 iv           ", 0, "eAX, imm            ", 0, "Add two integers with carry.                                      ", 0, "86/386       ", 0
            db  "ADC        ", 0, "81 /2 iv        ", 0, "r/m, imm            ", 0, "Add two integers with carry.                                      ", 0, "86/386       ", 0
            db  "ADC        ", 0, "83 /2 ib        ", 0, "r/m, imm8           ", 0, "Add two integers with carry.                                      ", 0, "86/386       ", 0
            db  "ADC        ", 0, "11 /r           ", 0, "r/m, r              ", 0, "Add two integers with carry.                                      ", 0, "86/386       ", 0
            db  "ADC        ", 0, "80 /2 ib        ", 0, "r/m8, imm8          ", 0, "Add two integers with carry.                                      ", 0, "86           ", 0
            db  "ADC        ", 0, "82 /2 ib        ", 0, "r/m8, imm8          ", 0, "Add two integers with carry.                                      ", 0, "86           ", 0
            db  "ADC        ", 0, "10 /r           ", 0, "r/m8, r8            ", 0, "Add two integers with carry.                                      ", 0, "86           ", 0
            db  "ADC        ", 0, "13 /r           ", 0, "r, r/m              ", 0, "Add two integers with carry.                                      ", 0, "86/386       ", 0
            db  "ADC        ", 0, "12 /r           ", 0, "r8, r/m8            ", 0, "Add two integers with carry.                                      ", 0, "86           ", 0
            db  "ADD        ", 0, "04 ib           ", 0, "AL, imm8            ", 0, "Add two integers.                                                 ", 0, "86           ", 0
            db  "ADD        ", 0, "05 iv           ", 0, "eAX, imm            ", 0, "Add two integers.                                                 ", 0, "86/386       ", 0
            db  "ADD        ", 0, "81 /0 iv        ", 0, "r/m, imm            ", 0, "Add two integers.                                                 ", 0, "86/386       ", 0
            db  "ADD        ", 0, "83 /0 ib        ", 0, "r/m, imm8           ", 0, "Add two integers.                                                 ", 0, "86/386       ", 0
            db  "ADD        ", 0, "01 /r           ", 0, "r/m, r              ", 0, "Add two integers.                                                 ", 0, "86/386       ", 0
            db  "ADD        ", 0, "80 /0 ib        ", 0, "r/m8, imm8          ", 0, "Add two integers.                                                 ", 0, "86           ", 0
            db  "ADD        ", 0, "82 /0 ib        ", 0, "r/m8, imm8          ", 0, "Add two integers.                                                 ", 0, "86           ", 0
            db  "ADD        ", 0, "00 /r           ", 0, "r/m8, r8            ", 0, "Add two integers.                                                 ", 0, "86           ", 0
            db  "ADD        ", 0, "03 /r           ", 0, "r, r/m              ", 0, "Add two integers.                                                 ", 0, "86/386       ", 0
            db  "ADD        ", 0, "02 /r           ", 0, "r8, r/m8            ", 0, "Add two integers.                                                 ", 0, "86           ", 0
            db  "ADDPD      ", 0, "66 0F 58 /r     ", 0, "xmm1, xmm2/m128     ", 0, "Add packed dble-prec. floats.                                     ", 0, "SSE2         ", 0
            db  "ADDPS      ", 0, "0F 58 /r        ", 0, "xmm1, xmm2/m128     ", 0, "Add packed sngle-prec. floats.                                    ", 0, "SSE          ", 0
            db  "ADDSD      ", 0, "F2 0F 58 /r     ", 0, "xmm1, xmm2/m64      ", 0, "Add scalar dble-prec. floats.                                     ", 0, "SSE          ", 0
            db  "ADDSS      ", 0, "F3 0F 58 /r     ", 0, "xmm1, xmm2/m32      ", 0, "Add scalar sngle-prec. floats.                                    ", 0, "SSE          ", 0
            db  "ADDSUBPD   ", 0, "66 0F D0 /r     ", 0, "xmm1, xmm2/m128     ", 0, "Add/Sub packed dble-prec. floats.                                 ", 0, "SSE3         ", 0
            db  "ADDSUBPS   ", 0, "F2 0F D0 /r     ", 0, "xmm1, xmm2/m128     ", 0, "Add/Sub packed sngle-prec. floats.                                ", 0, "SSE3         ", 0
            db  "AND        ", 0, "24 ib           ", 0, "AL, imm8            ", 0, "Bitwise AND of two integers.                                      ", 0, "86           ", 0
            db  "AND        ", 0, "25 iv           ", 0, "eAX, imm            ", 0, "Bitwise AND of two integers.                                      ", 0, "86/386       ", 0
            db  "AND        ", 0, "81 /4 iv        ", 0, "r/m, imm            ", 0, "Bitwise AND of two integers.                                      ", 0, "86/386       ", 0
            db  "AND        ", 0, "83 /4 ib        ", 0, "r/m, imm8           ", 0, "Bitwise AND of two integers.                                      ", 0, "86/386       ", 0
            db  "AND        ", 0, "21 /r           ", 0, "r/m, r              ", 0, "Bitwise AND of two integers.                                      ", 0, "86/386       ", 0
            db  "AND        ", 0, "80 /4 ib        ", 0, "r/m8, imm8          ", 0, "Bitwise AND of two integers.                                      ", 0, "86           ", 0
            db  "AND        ", 0, "82 /4 ib        ", 0, "r/m8, imm8          ", 0, "Bitwise AND of two integers.                                      ", 0, "86           ", 0
            db  "AND        ", 0, "20 /r           ", 0, "r/m8, r8            ", 0, "Bitwise AND of two integers.                                      ", 0, "86           ", 0
            db  "AND        ", 0, "23 /r           ", 0, "r, r/m              ", 0, "Bitwise AND of two integers.                                      ", 0, "86/386       ", 0
            db  "AND        ", 0, "22 /r           ", 0, "r8, r/m8            ", 0, "Bitwise AND of two integers.                                      ", 0, "86           ", 0
            db  "ANDNPD     ", 0, "66 0F 55 /r     ", 0, "xmm1, xmm2/m128     ", 0, "Bitwise AND NOT of packed dble-prec. floats.                      ", 0, "SSE2         ", 0
            db  "ANDNPS     ", 0, "0F 55 /r        ", 0, "xmm1, xmm2/m128     ", 0, "Bitwise AND NOT of packed sngle-prec. floats.                     ", 0, "SSE          ", 0
            db  "ANDPD      ", 0, "66 0F 54 /r     ", 0, "xmm1, xmm2/m128     ", 0, "Bitwise AND of packed dble-prec. floats.                          ", 0, "SSE2         ", 0
            db  "ANDPS      ", 0, "0F 54 /r        ", 0, "xmm1, xmm2/m128     ", 0, "Bitwise AND of packed sngle-prec. floats.                         ", 0, "SSE          ", 0
            db  "ARPL       ", 0, "63 /r           ", 0, "r/m16, r16          ", 0, "Adjust RPL of field of segment selector.                          ", 0, "286          ", 0
            db  "BOUND      ", 0, "62 /r           ", 0, "r, m                ", 0, "Check array index against bounds.                                 ", 0, "186          ", 0
            db  "BSF        ", 0, "0F BC /r        ", 0, "r, r/m              ", 0, "Scan for the least significant bit.                               ", 0, "386          ", 0
            db  "BSR        ", 0, "0F BD /r        ", 0, "r, r/m              ", 0, "Scan for the most significant bit.                                ", 0, "386          ", 0
            db  "BSWAP      ", 0, "0F C8           ", 0, "EAX                 ", 0, "Reverses the byte order of 32-bit register.                       ", 0, "486          ", 0
            db  "BSWAP      ", 0, "0F CD           ", 0, "EBP                 ", 0, "Reverses the byte order of 32-bit register.                       ", 0, "486          ", 0
            db  "BSWAP      ", 0, "0F CB           ", 0, "EBX                 ", 0, "Reverses the byte order of 32-bit register.                       ", 0, "486          ", 0
            db  "BSWAP      ", 0, "0F C9           ", 0, "ECX                 ", 0, "Reverses the byte order of 32-bit register.                       ", 0, "486          ", 0
            db  "BSWAP      ", 0, "0F CF           ", 0, "EDI                 ", 0, "Reverses the byte order of 32-bit register.                       ", 0, "486          ", 0
            db  "BSWAP      ", 0, "0F CA           ", 0, "EDX                 ", 0, "Reverses the byte order of 32-bit register.                       ", 0, "486          ", 0
            db  "BSWAP      ", 0, "0F CE           ", 0, "ESI                 ", 0, "Reverses the byte order of 32-bit register.                       ", 0, "486          ", 0
            db  "BSWAP      ", 0, "0F CC           ", 0, "ESP                 ", 0, "Reverses the byte order of 32-bit register.                       ", 0, "486          ", 0
            db  "BT         ", 0, "0F BA /4 ib     ", 0, "r/m, imm8           ", 0, "Extract a bit to CF.                                              ", 0, "386          ", 0
            db  "BT         ", 0, "0F A3 /r        ", 0, "r/m, r              ", 0, "Extract a bit to CF.                                              ", 0, "386          ", 0
            db  "BTC        ", 0, "0F BA /7 ib     ", 0, "r/m, imm8           ", 0, "Extract a bit to CF and complement it.                            ", 0, "386          ", 0
            db  "BTC        ", 0, "0F BB /r        ", 0, "r/m, r              ", 0, "Extract a bit to CF and complement it.                            ", 0, "386          ", 0
            db  "BTR        ", 0, "0F BA /6 ib     ", 0, "r/m, imm8           ", 0, "Extract a bit to CF and reset it.                                 ", 0, "386          ", 0
            db  "BTR        ", 0, "0F B3           ", 0, "r/m, r              ", 0, "Extract a bit to CF and reset it.                                 ", 0, "386          ", 0
            db  "BTS        ", 0, "0F BA /5 ib     ", 0, "r/m, imm8           ", 0, "Extract a bit to CF and set it.                                   ", 0, "386          ", 0
            db  "BTS        ", 0, "0F AB           ", 0, "r/m, r              ", 0, "Extract a bit to CF and set it.                                   ", 0, "386          ", 0
            db  "CALL       ", 0, "9A iv 1w        ", 0, "imm16:imm           ", 0, "A far, absolute call to a subroutine.                             ", 0, "86           ", 0
            db  "CALL       ", 0, "FF /3           ", 0, "m16:m               ", 0, "A far, absolute indirect call to a subroutine.                    ", 0, "86           ", 0
            db  "CALL       ", 0, "FF /2           ", 0, "r/m                 ", 0, "A near, absolute indirect call to a subroutine.                   ", 0, "86           ", 0
            db  "CALL       ", 0, "E8 iv           ", 0, "rel                 ", 0, "A near, relative call to a subroutine.                            ", 0, "86           ", 0
            db  "CBW        ", 0, "98              ", 0, "n/a                 ", 0, "Sign-extend AL into AX (or AX into EAX)                           ", 0, "86/386       ", 0
            db  "CWDE       ", 0, "98              ", 0, "n/a                 ", 0, "Sign-extend AL into AX (or AX into EAX)                           ", 0, "86/386       ", 0
            db  "CLC        ", 0, "F8              ", 0, "n/a                 ", 0, "Clear CF flag                                                     ", 0, "86           ", 0
            db  "CLD        ", 0, "FC              ", 0, "n/a                 ", 0, "Clear DF flag                                                     ", 0, "86           ", 0
            db  "CLFLUSH    ", 0, "0F AE /mem|7    ", 0, "m8                  ", 0, "Flushes cache line.                                               ", 0, "SSE2         ", 0
            db  "CLI        ", 0, "FA              ", 0, "n/a                 ", 0, "Clear the IF (disable interrupts).                                ", 0, "86           ", 0
            db  "CLTS       ", 0, "0F 06           ", 0, "n/a                 ", 0, "Clear the task-switched (TS) flag in CR0.                         ", 0, "286,PRIV     ", 0
            db  "CMC        ", 0, "F5              ", 0, "n/a                 ", 0, "Complement CF flag                                                ", 0, "86           ", 0
            db  "CMOVA      ", 0, "0F 47 /r        ", 0, "r, r/m              ", 0, "Move if above (CF=0 and ZF=0)                                     ", 0, "P6           ", 0
            db  "CMOVNBE    ", 0, "0F 47 /r        ", 0, "r, r/m              ", 0, "Move if above (CF=0 and ZF=0)                                     ", 0, "P6           ", 0
            db  "CMOVAE     ", 0, "0F 43 /r        ", 0, "r, r/m              ", 0, "Move if above or equal (CF=0)                                     ", 0, "P6           ", 0
            db  "CMOVNB     ", 0, "0F 43 /r        ", 0, "r, r/m              ", 0, "Move if above or equal (CF=0)                                     ", 0, "P6           ", 0
            db  "CMOVNC     ", 0, "0F 43 /r        ", 0, "r, r/m              ", 0, "Move if above or equal (CF=0)                                     ", 0, "P6           ", 0
            db  "CMOVB      ", 0, "0F 42 /r        ", 0, "r, r/m              ", 0, "Move if below (CF=1)                                              ", 0, "P6           ", 0
            db  "CMOVC      ", 0, "0F 42 /r        ", 0, "r, r/m              ", 0, "Move if below (CF=1)                                              ", 0, "P6           ", 0
            db  "CMOVNAE    ", 0, "0F 42 /r        ", 0, "r, r/m              ", 0, "Move if below (CF=1)                                              ", 0, "P6           ", 0
            db  "CMOVBE     ", 0, "0F 46 /r        ", 0, "r, r/m              ", 0, "Move if below or equal (CF=1 or ZF=1)                             ", 0, "P6           ", 0
            db  "CMOVNA     ", 0, "0F 46 /r        ", 0, "r, r/m              ", 0, "Move if below or equal (CF=1 or ZF=1)                             ", 0, "P6           ", 0
            db  "CMOVE      ", 0, "0F 44 /r        ", 0, "r, r/m              ", 0, "Move if equal (ZF=1)                                              ", 0, "P6           ", 0
            db  "CMOVZ      ", 0, "0F 44 /r        ", 0, "r, r/m              ", 0, "Move if equal (ZF=1)                                              ", 0, "P6           ", 0
            db  "CMOVG      ", 0, "0F 4F /r        ", 0, "r, r/m              ", 0, "Move if greater (ZF=0 and SF=OF)                                  ", 0, "P6           ", 0
            db  "CMOVNLE    ", 0, "0F 4F /r        ", 0, "r, r/m              ", 0, "Move if greater (ZF=0 and SF=OF)                                  ", 0, "P6           ", 0
            db  "CMOVGE     ", 0, "0F 4D /r        ", 0, "r, r/m              ", 0, "Move if greater or equal (SF=OF)                                  ", 0, "P6           ", 0
            db  "CMOVNL     ", 0, "0F 4D /r        ", 0, "r, r/m              ", 0, "Move if greater or equal (SF=OF)                                  ", 0, "P6           ", 0
            db  "CMOVL      ", 0, "0F 4C /r        ", 0, "r, r/m              ", 0, "Move if less (SF<>OF)                                             ", 0, "P6           ", 0
            db  "CMOVNGE    ", 0, "0F 4C /r        ", 0, "r, r/m              ", 0, "Move if less (SF<>OF)                                             ", 0, "P6           ", 0
            db  "CMOVLE     ", 0, "0F 4E /r        ", 0, "r, r/m              ", 0, "Move if less or equal (ZF=1 or SF<>OF)                            ", 0, "P6           ", 0
            db  "CMOVNG     ", 0, "0F 4E /r        ", 0, "r, r/m              ", 0, "Move if less or equal (ZF=1 or SF<>OF)                            ", 0, "P6           ", 0
            db  "CMOVNE     ", 0, "0F 45 /r        ", 0, "r, r/m              ", 0, "Move if not equal (ZF=0)                                          ", 0, "P6           ", 0
            db  "CMOVNZ     ", 0, "0F 45 /r        ", 0, "r, r/m              ", 0, "Move if not equal (ZF=0)                                          ", 0, "P6           ", 0
            db  "CMOVNO     ", 0, "0F 41 /r        ", 0, "r, r/m              ", 0, "Move if not overflow (OF=0)                                       ", 0, "P6           ", 0
            db  "CMOVNP     ", 0, "0F 4B /r        ", 0, "r, r/m              ", 0, "Move if parity odd (PF=0)                                         ", 0, "P6           ", 0
            db  "CMOVPO     ", 0, "0F 4B /r        ", 0, "r, r/m              ", 0, "Move if parity odd (PF=0)                                         ", 0, "P6           ", 0
            db  "CMOVNS     ", 0, "0F 49 /r        ", 0, "r, r/m              ", 0, "Move if not sign (SF=0)                                           ", 0, "P6           ", 0
            db  "CMOVO      ", 0, "0F 40 /r        ", 0, "r, r/m              ", 0, "Move if overflow (OF=1)                                           ", 0, "P6           ", 0
            db  "CMOVP      ", 0, "0F 4A /r        ", 0, "r, r/m              ", 0, "Move if parity even (PF=1)                                        ", 0, "P6           ", 0
            db  "CMOVPE     ", 0, "0F 4A /r        ", 0, "r, r/m              ", 0, "Move if parity even (PF=1)                                        ", 0, "P6           ", 0
            db  "CMOVS      ", 0, "0F 48 /r        ", 0, "r, r/m              ", 0, "Move if sign (SF=1)                                               ", 0, "P6           ", 0
            db  "CMP        ", 0, "3C ib           ", 0, "AL, imm8            ", 0, "Compare two integers.                                             ", 0, "86           ", 0
            db  "CMP        ", 0, "3D iv           ", 0, "eAX, imm            ", 0, "Compare two integers.                                             ", 0, "86/386       ", 0
            db  "CMP        ", 0, "81 /7 iv        ", 0, "r/m, imm            ", 0, "Compare two integers.                                             ", 0, "86/386       ", 0
            db  "CMP        ", 0, "83 /7 ib        ", 0, "r/m16, imm8         ", 0, "Compare two integers.                                             ", 0, "86/386       ", 0
            db  "CMP        ", 0, "39 /r           ", 0, "r/m, r              ", 0, "Compare two integers.                                             ", 0, "86/386       ", 0
            db  "CMP        ", 0, "80 /7 ib        ", 0, "r/m8, imm8          ", 0, "Compare two integers.                                             ", 0, "86           ", 0
            db  "CMP        ", 0, "82 /7 ib        ", 0, "r/m8, imm8          ", 0, "Compare two integers.                                             ", 0, "86           ", 0
            db  "CMP        ", 0, "38 /r           ", 0, "r/m8, r8            ", 0, "Compare two integers.                                             ", 0, "86           ", 0
            db  "CMP        ", 0, "3B /r           ", 0, "r, r/m              ", 0, "Compare two integers.                                             ", 0, "86/386       ", 0
            db  "CMP        ", 0, "3A /r           ", 0, "r8, r/m8            ", 0, "Compare two integers.                                             ", 0, "86           ", 0
            db  "CMPEQPD    ", 0, "66 0F C2 /r 00  ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed dble-prec. floats for equality.                    ", 0, "SSE2         ", 0
            db  "CMPEQPS    ", 0, "0F C2 /r 00     ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed sngle-prec. floats for equality.                   ", 0, "SSE          ", 0
            db  "CMPEQSD    ", 0, "F2 0F C2 /r 00  ", 0, "xmm1, xmm2/m64      ", 0, "Compare scalar dble-prec. floats for equality.                    ", 0, "SSE2         ", 0
            db  "CMPEQSS    ", 0, "F3 0F C2 /r 00  ", 0, "xmm1, xmm2/m32      ", 0, "Compare scalar sngle-prec. floats for equality.                   ", 0, "SSE          ", 0
            db  "CMPLEPD    ", 0, "66 0F C2 /r 02  ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed dble-prec. floats for less-than-or-equal.          ", 0, "SSE2         ", 0
            db  "CMPLEPS    ", 0, "0F C2 /r 02     ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed sngle-prec. floats for less-than-or-equal.         ", 0, "SSE          ", 0
            db  "CMPLESD    ", 0, "F2 0F C2 /r 02  ", 0, "xmm1, xmm2/m64      ", 0, "Compare scalar dble-prec. floats for less-than-or-equal.          ", 0, "SSE2         ", 0
            db  "CMPLESS    ", 0, "F3 0F C2 /r 02  ", 0, "xmm1, xmm2/m32      ", 0, "Compare scalar sngle-prec. floats for less-than-or-equal.         ", 0, "SSE          ", 0
            db  "CMPLTPD    ", 0, "66 0F C2 /r 01  ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed dble-prec. floats for less-than.                   ", 0, "SSE2         ", 0
            db  "CMPLTPS    ", 0, "0F C2 /r 01     ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed sngle-prec. floats for less-than.                  ", 0, "SSE          ", 0
            db  "CMPLTSD    ", 0, "F2 0F C2 /r 01  ", 0, "xmm1, xmm2/m64      ", 0, "Compare scalar dble-prec. floats for less-than.                   ", 0, "SSE2         ", 0
            db  "CMPLTSS    ", 0, "F3 0F C2 /r 01  ", 0, "xmm1, xmm2/m32      ", 0, "Compare scalar sngle-prec. floats for less-than.                  ", 0, "SSE          ", 0
            db  "CMPNEQPD   ", 0, "66 0F C2 /r 04  ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed dble-prec. floats for not-equal.                   ", 0, "SSE2         ", 0
            db  "CMPNEQPS   ", 0, "0F C2 /r 04     ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed sngle-prec. floats for not-equal.                  ", 0, "SSE          ", 0
            db  "CMPNEQSD   ", 0, "F2 0F C2 /r 04  ", 0, "xmm1, xmm2/m64      ", 0, "Compare scalar dble-prec. floats for not-equal.                   ", 0, "SSE2         ", 0
            db  "CMPNEQSS   ", 0, "F3 0F C2 /r 04  ", 0, "xmm1, xmm2/m32      ", 0, "Compare scalar sngle-prec. floats for not-equal.                  ", 0, "SSE          ", 0
            db  "CMPNLEPD   ", 0, "66 0F C2 /r 06  ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed dble-prec. floats for not-greater-than.            ", 0, "SSE2         ", 0
            db  "CMPNLEPS   ", 0, "0F C2 /r 06     ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed sngle-prec. floats for not-greater-than.           ", 0, "SSE          ", 0
            db  "CMPNLESD   ", 0, "F2 0F C2 /r 06  ", 0, "xmm1, xmm2/m64      ", 0, "Compare scalar dble-prec. floats for not-greater-than.            ", 0, "SSE2         ", 0
            db  "CMPNLESS   ", 0, "F3 0F C2 /r 06  ", 0, "xmm1, xmm2/m32      ", 0, "Compare scalar sngle-prec. floats for not-greater-than.           ", 0, "SSE          ", 0
            db  "CMPNLTPD   ", 0, "66 0F C2 /r 05  ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed dble-prec. floats for not-less-than.               ", 0, "SSE2         ", 0
            db  "CMPNLTPS   ", 0, "0F C2 /r 05     ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed sngle-prec. floats for not-less-than.              ", 0, "SSE          ", 0
            db  "CMPNLTSD   ", 0, "F2 0F C2 /r 05  ", 0, "xmm1, xmm2/m64      ", 0, "Compare scalar dble-prec. floats for not-less-than.               ", 0, "SSE2         ", 0
            db  "CMPNLTSS   ", 0, "F3 0F C2 /r 05  ", 0, "xmm1, xmm2/m32      ", 0, "Compare scalar sngle-prec. floats for not-less-than.              ", 0, "SSE          ", 0
            db  "CMPORDPD   ", 0, "66 0F C2 /r 07  ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed dble-prec. floats for being ordered.               ", 0, "SSE2         ", 0
            db  "CMPORDPS   ", 0, "0F C2 /r 07     ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed sngle-prec. floats for being ordered.              ", 0, "SSE          ", 0
            db  "CMPORDSD   ", 0, "F2 0F C2 /r 07  ", 0, "xmm1, xmm2/m64      ", 0, "Compare scalar dble-prec. floats for being ordered.               ", 0, "SSE2         ", 0
            db  "CMPORDSS   ", 0, "F3 0F C2 /r 07  ", 0, "xmm1, xmm2/m32      ", 0, "Compare scalar sngle-prec. floats for being ordered.              ", 0, "SSE          ", 0
            db  "CMPPD      ", 0, "66 0F C2 /r ib  ", 0, "xmm1, xmm2/m64, imm8", 0, "Compare packed dble-prec. floats.                                 ", 0, "SSE2         ", 0
            db  "CMPPS      ", 0, "0F C2 /r ib     ", 0, "xmm1, xmm2/m32, imm8", 0, "Compare packed sngle-prec. floats.                                ", 0, "SSE          ", 0
            db  "CMPSB      ", 0, "A6              ", 0, "n/a                 ", 0, "Compare string bytes.                                             ", 0, "86           ", 0
            db  "CMPSD      ", 0, "F2 0F C2 /r ib  ", 0, "xmm1, xmm2/m64, imm8", 0, "Compare scalar dble-prec. floats.                                 ", 0, "SSE2         ", 0
            db  "CMPSS      ", 0, "F3 0F C2 /r ib  ", 0, "xmm1, xmm2/m32, imm8", 0, "Compare scalar sngle-prec. floats.                                ", 0, "SSE          ", 0
            db  "CMPSW      ", 0, "A7              ", 0, "n/a                 ", 0, "Compare string words.                                             ", 0, "86/386       ", 0
            db  "CMPSD      ", 0, "A7              ", 0, "n/a                 ", 0, "Compare string DWs.                                               ", 0, "86/386       ", 0
            db  "CMPUNORDPD ", 0, "66 0F C2 /r 03  ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed dble-prec. floats for being ordered.               ", 0, "SSE2         ", 0
            db  "CMPUNORDPS ", 0, "0F C2 /r 03     ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed sngle-prec. floats for being unordered.            ", 0, "SSE          ", 0
            db  "CMPUNORDSD ", 0, "F2 0F C2 /r 03  ", 0, "xmm1, xmm2/m64      ", 0, "Compare scalar dble-prec. floats for being unordered.             ", 0, "SSE2         ", 0
            db  "CMPUNORDSS ", 0, "F3 0F C2 /r 03  ", 0, "xmm1, xmm2/m32      ", 0, "Compare scalar sngle-prec. floats for being unordered.            ", 0, "SSE          ", 0
            db  "CMPXCHG    ", 0, "0F B1/r         ", 0, "r/m, r              ", 0, "Compare and exchange.                                             ", 0, "P5           ", 0
            db  "CMPXCHG    ", 0, "0F B0/r         ", 0, "r/m8, r8            ", 0, "Compare and exchange.                                             ", 0, "P5           ", 0
            db  "CMPXCHG486 ", 0, "0F A7 /r        ", 0, "r/m, r              ", 0, "Undocumented alias to CMPXCHG on some old 486s.                   ", 0, "486, UNDOC   ", 0
            db  "CMPXCHG486 ", 0, "0F A6 /r        ", 0, "r/m8, r8            ", 0, "Undocumented alias to CMPXCHG on some old 486s.                   ", 0, "486, UNDOC   ", 0
            db  "CMPXCHG8B  ", 0, "0F C7 /mem|1    ", 0, "m64                 ", 0, "Compare and exchange 8 bytes.                                     ", 0, "P5           ", 0
            db  "COMISD     ", 0, "66 0F 2F /r     ", 0, "xmm1, xmm2/m64      ", 0, "Compare scalar ordered dble-prec. floats.                         ", 0, "SSE2         ", 0
            db  "COMISS     ", 0, "0F 2F /r        ", 0, "xmm1, xmm2/m32      ", 0, "Compare scalar ordered sngle-prec. floats.                        ", 0, "SSE          ", 0
            db  "CPUID      ", 0, "0F A2           ", 0, "n/a                 ", 0, "CPU identification.                                               ", 0, "P5           ", 0
            db  "CVTDQ2PD   ", 0, "F3 0F E6 /r     ", 0, "xmm1, xmm2/m64      ", 0, "Convert 2 packed signed DWs to 2 packed dble-prec. floats.        ", 0, "SSE2         ", 0
            db  "CVTDQ2PS   ", 0, "0F 5B /r        ", 0, "xmm1, xmm2/m128     ", 0, "Convert 4 packed signed DWs to 4 packed sngle-prec. floats.       ", 0, "SSE2         ", 0
            db  "CVTPD2DQ   ", 0, "F2 0F E6        ", 0, "xmm1, xmm2/m128     ", 0, "Convert 2 packed dble-prec. floats to 2 packed signed DWs.        ", 0, "SSE2         ", 0
            db  "CVTPD2PI   ", 0, "66 0F 2D /r     ", 0, "mm, xmm/m128        ", 0, "Convert 2 packed dble-prec. floats to 2 packed signed DWs.        ", 0, "SSE2         ", 0
            db  "CVTPD2PS   ", 0, "66 0F 5A /r     ", 0, "xmm1, xmm2/m128     ", 0, "Convert 2 packed dble-prec. floats to 2 packed sngle-prec. floats.", 0, "SSE2         ", 0
            db  "CVTPI2PD   ", 0, "66 0F 2A /r     ", 0, "xmm, mm/m64         ", 0, "Convert 2 packed signed DWs to 2 packed dble-prec. floats.        ", 0, "sse2         ", 0
            db  "CVTPI2PS   ", 0, "0F 2A /r        ", 0, "xmm, mm/m64         ", 0, "Convert 2 signed DWs to two sngle-prec. floats.                   ", 0, "SSE          ", 0
            db  "CVTPS2DQ   ", 0, "66 0F 5B /r     ", 0, "xmm1, xmm2/m128     ", 0, "Convert 4 packed sngle-prec. floats to 4 packed signed DWs.       ", 0, "sse2         ", 0
            db  "CVTPS2PD   ", 0, "0F 5A /r        ", 0, "xmm1, xmm2/m64      ", 0, "Convert 2 packed sngle-prec. floats to 2 packed dble-prec. floats.", 0, "SSE2         ", 0
            db  "CVTPS2PI   ", 0, "0F 2D /r        ", 0, "mm, xmm/m64         ", 0, "Convert 2 packed sngle-prec. floats to 2 packed signed DWs.       ", 0, "SSE          ", 0
            db  "CVTSD2SI   ", 0, "F2 0F 2D /r     ", 0, "r32, xmm/m64        ", 0, "Convert 1 dble-prec. float to 1 signed DW.                        ", 0, "SSE2         ", 0
            db  "CVTSD2SS   ", 0, "F2 0F 5A /r     ", 0, "xmm1, xmm2/m64      ", 0, "Convert 1 dble-prec. float to 1 sngle-prec. float.                ", 0, "SSE          ", 0
            db  "CVTSI2SD   ", 0, "F2 0F 2A /r     ", 0, "xmm, r/m32          ", 0, "Convert 1 signed DW to 1 dble-prec. float.                        ", 0, "SSE2         ", 0
            db  "CVTSI2SS   ", 0, "F3 0F 2A /r     ", 0, "xmm, r/m32          ", 0, "Convert 1 signed DW to 1 sngle-prec. float.                       ", 0, "SSE          ", 0
            db  "CVTSS2SD   ", 0, "F3 0F 5A /r     ", 0, "xmm1, xmm2/m32      ", 0, "Convert 1 sngle-prec. float to 1 dble-prec. float.                ", 0, "SSE2         ", 0
            db  "CVTSS2SI   ", 0, "F3 0F 2D /r     ", 0, "r32, xmm/m32        ", 0, "Convert 1 sngle-prec. float to 1 signed DW.                       ", 0, "SSE          ", 0
            db  "CVTTPD2DQ  ", 0, "66 0F E6        ", 0, "xmm1, xmm2/m128     ", 0, "Truncate 2 packed dble-prec. floats to 2 packed signed DWs.       ", 0, "SSE2         ", 0
            db  "CVTTPD2PI  ", 0, "66 0F 2C /r     ", 0, "mm, xmm/m128        ", 0, "Truncate 2 packed dble-prec. floats to 2 packed signed DWs.       ", 0, "SSE2         ", 0
            db  "CVTTPS2DQ  ", 0, "F3 0F 5B /r     ", 0, "xmm1, xmm2/m128     ", 0, "Truncate 4 packed sngle-prec. floats to 4 packed signed DWs.      ", 0, "SSE2         ", 0
            db  "CVTTPS2PI  ", 0, "0F 2C /r        ", 0, "mm, xmm/m64         ", 0, "Truncate 2 packed sngle-prec. floats to 2 signed packed DWs.      ", 0, "SSE          ", 0
            db  "CVTTSD2SI  ", 0, "F2 0F 2C /r     ", 0, "r32, xmm/m64        ", 0, "Truncate 1 dble-prec. float to 1 signed DW.                       ", 0, "SSE2         ", 0
            db  "CVTTSS2SI  ", 0, "F3 0F 2C /r     ", 0, "r32, xmm/m32        ", 0, "Convert 1 sngle-prec. float to 1 signed DW.                       ", 0, "SSE          ", 0
            db  "CWD        ", 0, "99              ", 0, "n/a                 ", 0, "Sign-extend AX into DX:AX (or EAX into EDX:EAX).                  ", 0, "86/386       ", 0
            db  "CDQ        ", 0, "99              ", 0, "n/a                 ", 0, "Sign-extend AX into DX:AX (or EAX into EDX:EAX).                  ", 0, "86/386       ", 0
            db  "DAA        ", 0, "27              ", 0, "n/a                 ", 0, "Decimal adjust AL after addition                                  ", 0, "86           ", 0
            db  "DAS        ", 0, "2F              ", 0, "n/a                 ", 0, "Decimal adjust AL after subtraction                               ", 0, "86           ", 0
            db  "DEC        ", 0, "48              ", 0, "eAX                 ", 0, "Decrement integer by 1                                            ", 0, "86/386       ", 0
            db  "DEC        ", 0, "4D              ", 0, "eBP                 ", 0, "Decrement integer by 1                                            ", 0, "86/386       ", 0
            db  "DEC        ", 0, "4B              ", 0, "eBX                 ", 0, "Decrement integer by 1                                            ", 0, "86/386       ", 0
            db  "DEC        ", 0, "49              ", 0, "eCX                 ", 0, "Decrement integer by 1                                            ", 0, "86/386       ", 0
            db  "DEC        ", 0, "4F              ", 0, "eDI                 ", 0, "Decrement integer by 1                                            ", 0, "86/386       ", 0
            db  "DEC        ", 0, "4A              ", 0, "eDX                 ", 0, "Decrement integer by 1                                            ", 0, "86/386       ", 0
            db  "DEC        ", 0, "4E              ", 0, "eSI                 ", 0, "Decrement integer by 1                                            ", 0, "86/386       ", 0
            db  "DEC        ", 0, "4C              ", 0, "eSP                 ", 0, "Decrement integer by 1                                            ", 0, "86/386       ", 0
            db  "DEC        ", 0, "FE /1           ", 0, "r/m8                ", 0, "Decrement integer by 1                                            ", 0, "86           ", 0
            db  "DEC        ", 0, "FF /1           ", 0, "r/m                 ", 0, "Decrement integer by 1                                            ", 0, "86/386       ", 0
            db  "DIV        ", 0, "F7 /6           ", 0, "r/m                 ", 0, "Unsigned divide eDX:eAX by the operand.                           ", 0, "86/386       ", 0
            db  "DIV        ", 0, "F6 /6           ", 0, "r/m8                ", 0, "Unsigned divide AX by the operand.                                ", 0, "86           ", 0
            db  "DIVPD      ", 0, "66 0F 5E /r     ", 0, "xmm1, xmm2/m128     ", 0, "Divide packed dble-prec. floats.                                  ", 0, "SSE2         ", 0
            db  "DIVPS      ", 0, "0F 5E /r        ", 0, "xmm1, xmm2/m128     ", 0, "Divide packed sngle-prec. floats.                                 ", 0, "SSE          ", 0
            db  "DIVSD      ", 0, "F2 0F 5E /r     ", 0, "xmm1, xmm2/m64      ", 0, "Divide scalar dble-prec. floats.                                  ", 0, "SSE2         ", 0
            db  "DIVSS      ", 0, "F3 0F 5E /r     ", 0, "xmm1, xmm2/m32      ", 0, "Divide scalar sngle-prec. floats.                                 ", 0, "SSE          ", 0
            db  "EMMS       ", 0, "0F 77           ", 0, "n/a                 ", 0, "Empty MMX state.                                                  ", 0, "MMX          ", 0
            db  "ENTER      ", 0, "C8 iw ib        ", 0, "imm16, imm8         ", 0, "Create a stack frame for a procedure or subroutine.               ", 0, "186          ", 0
            db  "F2XM1      ", 0, "D9 F0           ", 0, "n/a                 ", 0, "Compute 2 to the power of ST(0) ' 1.                              ", 0, "86,FPU       ", 0
            db  "FABS       ", 0, "D9 E1           ", 0, "n/a                 ", 0, "Absolute value of ST(0).                                          ", 0, "86,FPU       ", 0
            db  "FADD       ", 0, "D8 /0           ", 0, "m32                 ", 0, "Add sngle-prec. float to ST(0).                                   ", 0, "86,FPU       ", 0
            db  "FADD       ", 0, "DC /0           ", 0, "m64                 ", 0, "Add dble-prec. float to ST(0).                                    ", 0, "86,FPU       ", 0
            db  "FADD       ", 0, "D8 C0+i         ", 0, "ST(0), ST(i)        ", 0, "Add ST(i) to ST(0).                                               ", 0, "86,FPU       ", 0
            db  "FADD       ", 0, "DC C0+i         ", 0, "ST(i), ST(0)        ", 0, "Add ST(0) to ST(i).                                               ", 0, "86,FPU       ", 0
            db  "FADDP      ", 0, "DE C0+i         ", 0, "ST(i), ST(0)        ", 0, "Add ST(0) to ST(i) and pop the FPU stack.                         ", 0, "86,FPU       ", 0
            db  "FBLD       ", 0, "DF /4           ", 0, "m80                 ", 0, "Push BCD value onto the FPU stack.                                ", 0, "86,FPU       ", 0
            db  "FBSTP      ", 0, "DF /6           ", 0, "m80                 ", 0, "Store ST(0) as BCD value and pop FPU stack.                       ", 0, "86,FPU       ", 0
            db  "FCHS       ", 0, "D9 E0           ", 0, "n/a                 ", 0, "Change sign of ST(0).                                             ", 0, "86,FPU       ", 0
            db  "FCLEX      ", 0, "9B DB E2        ", 0, "n/a                 ", 0, "Clear FPU exception flags and wait.                               ", 0, "86,FPU       ", 0
            db  "FCMOVB     ", 0, "DA C0+i         ", 0, "ST(0), ST(i)        ", 0, "FPU move if below (CF=1)                                          ", 0, "86,FPU       ", 0
            db  "FCMOVBE    ", 0, "DA D0+i         ", 0, "ST(0), ST(i)        ", 0, "FPU move if below or equal (CF=1 or ZF=1)                         ", 0, "86,FPU       ", 0
            db  "FCMOVE     ", 0, "DA C8+i         ", 0, "ST(0), ST(i)        ", 0, "FPU move if equal (ZF=1)                                          ", 0, "86,FPU       ", 0
            db  "FCMOVNB    ", 0, "DB C0+i         ", 0, "ST(0), ST(i)        ", 0, "FPU move if not below (CF=0)                                      ", 0, "86,FPU       ", 0
            db  "FCMOVNBE   ", 0, "DB D0+i         ", 0, "ST(0), ST(i)        ", 0, "FPU move if not below or equal (CF=0 and ZF=0)                    ", 0, "86,FPU       ", 0
            db  "FCMOVNE    ", 0, "DB C8+i         ", 0, "ST(0), ST(i)        ", 0, "FPU move if not equal (ZF=0)                                      ", 0, "86,FPU       ", 0
            db  "FCMOVNU    ", 0, "DB D8+i         ", 0, "ST(0), ST(i)        ", 0, "FPU move if not unordered (PF=0)                                  ", 0, "86,FPU       ", 0
            db  "FCMOVU     ", 0, "DA D8+i         ", 0, "ST(0), ST(i)        ", 0, "FPU move if unordered (PF=1)                                      ", 0, "86,FPU       ", 0
            db  "FCOM       ", 0, "D8 /2           ", 0, "m32                 ", 0, "Compare ST(0) with sngle-prec. float.                             ", 0, "86,FPU       ", 0
            db  "FCOM       ", 0, "DC /2           ", 0, "m64                 ", 0, "Compare ST(0) with dble-prec. float.                              ", 0, "86,FPU       ", 0
            db  "FCOM       ", 0, "D8 D0+i         ", 0, "ST(i)               ", 0, "Compare ST(0) ST(i).                                              ", 0, "86,FPU       ", 0
            db  "FCOM2      ", 0, "DC D0+i         ", 0, "ST(i)               ", 0, "Undocumented alias to FCOM ST(i).                                 ", 0, "86,FPU,UNDOC ", 0
            db  "FCOMI      ", 0, "DB F0+i         ", 0, "ST(0), ST(i)        ", 0, "Compare ST(0) with ST(i) and set CPU flags.                       ", 0, "86,FPU       ", 0
            db  "FCOMIP     ", 0, "DF F0+i         ", 0, "ST(0), ST(i)        ", 0, "Compare ST(0) with ST(i), set CPU flags and pop FPU stack.        ", 0, "86,FPU       ", 0
            db  "FCOMP      ", 0, "D8 /3           ", 0, "m32                 ", 0, "Compare ST(0) with sngle-prec. float and pop FPU stack.           ", 0, "86,FPU       ", 0
            db  "FCOMP      ", 0, "DC /3           ", 0, "m64                 ", 0, "Compare ST(0) with dble-prec. float and pop FPU stack.            ", 0, "86,FPU       ", 0
            db  "FCOMP      ", 0, "D8 D8+i         ", 0, "ST(i)               ", 0, "Compare ST(0) with ST(i) and pop FPU stack.                       ", 0, "86,FPU       ", 0
            db  "FCOMP3     ", 0, "DC D8+i         ", 0, "ST(i)               ", 0, "Undocumented alias to FCOMP ST(i).                                ", 0, "86,FPU,UNDOC ", 0
            db  "FCOMP5     ", 0, "DE D0+i         ", 0, "ST(i)               ", 0, "Undocumented alias to FCOMP ST(i).                                ", 0, "86,FPU,UNDOC ", 0
            db  "FCOMPP     ", 0, "DE D9           ", 0, "n/a                 ", 0, "Compare ST(0) with ST(1) and pop FPU stack twice.                 ", 0, "86,FPU       ", 0
            db  "FCOS       ", 0, "D9 FF           ", 0, "n/a                 ", 0, "Replace ST(0) with its cosine                                     ", 0, "386,FPU      ", 0
            db  "FDECSTP    ", 0, "D9 F6           ", 0, "n/a                 ", 0, "Decrement FPU stack pointer.                                      ", 0, "86,FPU       ", 0
            db  "FDISI      ", 0, "9B DB E1        ", 0, "n/a                 ", 0, "Disable FPU interrupts and wait.                                  ", 0, "86,FPU       ", 0
            db  "FDIV       ", 0, "D8 /6           ", 0, "m32                 ", 0, "Divide ST(0) by sngle-prec. float.                                ", 0, "86,FPU       ", 0
            db  "FDIV       ", 0, "DC /6           ", 0, "m64                 ", 0, "Divide ST(0) by dble-prec. float.                                 ", 0, "86,FPU       ", 0
            db  "FDIV       ", 0, "D8 F0+i         ", 0, "ST(0), ST(i)        ", 0, "Divide ST(0) by ST(i).                                            ", 0, "86,FPU       ", 0
            db  "FDIV       ", 0, "DC F8+i         ", 0, "ST(i), ST(0)        ", 0, "Divide ST(i) by ST(0).                                            ", 0, "86,FPU       ", 0
            db  "FDIVP      ", 0, "DE F8+i         ", 0, "ST(i), ST(0)        ", 0, "Divide ST(i) by ST(0) and pop the FPU stack                       ", 0, "86,FPU       ", 0
            db  "FDIVR      ", 0, "D8 /7           ", 0, "m32                 ", 0, "Divide sngle-prec. float.                                         ", 0, "86,FPU       ", 0
            db  "FDIVR      ", 0, "DC /7           ", 0, "m64                 ", 0, "Divide dble-prec. float.                                          ", 0, "86,FPU       ", 0
            db  "FDIVR      ", 0, "D8 F8+i         ", 0, "ST(0), ST(i)        ", 0, "Divide ST(i) by ST(0).                                            ", 0, "86,FPU       ", 0
            db  "FDIVR      ", 0, "DC F0+i         ", 0, "ST(i), ST(0)        ", 0, "Divide ST(0) by ST(i).                                            ", 0, "86,FPU       ", 0
            db  "FDIVRP     ", 0, "DE F0+i         ", 0, "ST(i), ST(0)        ", 0, "Divide ST(0) by ST(i) and pop the FPU stack.                      ", 0, "86,FPU       ", 0
            db  "FEMMS      ", 0, "0F 0E           ", 0, "n/a                 ", 0, "Fast empty MMX state.                                             ", 0, "3DNOW        ", 0
            db  "FENI       ", 0, "9B DB E0        ", 0, "n/a                 ", 0, "Enable FPU interrupts and wait.                                   ", 0, "86,FPU       ", 0
            db  "FFREE      ", 0, "DD C0+i         ", 0, "ST(i)               ", 0, "Mark ST(i) as being empty.                                        ", 0, "86,FPU       ", 0
            db  "FFREEP     ", 0, "DF C0+i         ", 0, "ST(i)               ", 0, "Mark ST(i) as being empty and pop FPU stack.                      ", 0, "286,FPU,UNDOC", 0
            db  "FIADD      ", 0, "DE /0           ", 0, "m16                 ", 0, "Add integer word to ST(0).                                        ", 0, "86,FPU       ", 0
            db  "FIADD      ", 0, "DA /0           ", 0, "m32                 ", 0, "Add integer DW to ST(0).                                          ", 0, "86,FPU       ", 0
            db  "FICOM      ", 0, "DE /2           ", 0, "m16                 ", 0, "Compare ST(0) with word.                                          ", 0, "86,FPU       ", 0
            db  "FICOM      ", 0, "DA /2           ", 0, "m32                 ", 0, "Compare ST(0) with DW.                                            ", 0, "86,FPU       ", 0
            db  "FICOMP     ", 0, "DE /3           ", 0, "m16                 ", 0, "Compare ST(0) with word and pop FPU stack.                        ", 0, "86,FPU       ", 0
            db  "FICOMP     ", 0, "DA /3           ", 0, "m32                 ", 0, "Compare ST(0) with DW and pop FPU stack.                          ", 0, "86,FPU       ", 0
            db  "FIDIV      ", 0, "DE /6           ", 0, "m16                 ", 0, "Divide ST(0) with word.                                           ", 0, "86,FPU       ", 0
            db  "FIDIV      ", 0, "DA /6           ", 0, "m32                 ", 0, "Divide ST(0) with DW.                                             ", 0, "86,FPU       ", 0
            db  "FIDIVR     ", 0, "DE /7           ", 0, "m16                 ", 0, "Divide word by ST(0).                                             ", 0, "86,FPU       ", 0
            db  "FIDIVR     ", 0, "DA /7           ", 0, "m32                 ", 0, "Divide DW by ST(0).                                               ", 0, "86,FPU       ", 0
            db  "FILD       ", 0, "DF /0           ", 0, "m16                 ", 0, "Push word onto the FPU stack.                                     ", 0, "86,FPU       ", 0
            db  "FILD       ", 0, "DB /0           ", 0, "m32                 ", 0, "Push DW onto the FPU stack.                                       ", 0, "86,FPU       ", 0
            db  "FILD       ", 0, "DF /5           ", 0, "m64                 ", 0, "Push qword onto the FPU stack.                                    ", 0, "86,FPU       ", 0
            db  "FIMUL      ", 0, "DE /1           ", 0, "m16                 ", 0, "Multiply ST(0) by word.                                           ", 0, "86,FPU       ", 0
            db  "FIMUL      ", 0, "DA /1           ", 0, "m32                 ", 0, "Multiply ST(0) by DW.                                             ", 0, "86,FPU       ", 0
            db  "FINCSTP    ", 0, "D9 F7           ", 0, "n/a                 ", 0, "Increment FPU stack pointer.                                      ", 0, "86,FPU       ", 0
            db  "FINIT      ", 0, "9B DB E3        ", 0, "n/a                 ", 0, "Initialize FPU and wait.                                          ", 0, "86,FPU       ", 0
            db  "FIST       ", 0, "DF /2           ", 0, "m16                 ", 0, "Store ST(0) as word.                                              ", 0, "86,FPU       ", 0
            db  "FIST       ", 0, "DB /2           ", 0, "m32                 ", 0, "Store ST(0) as DW.                                                ", 0, "86,FPU       ", 0
            db  "FISTP      ", 0, "DF /3           ", 0, "m16                 ", 0, "Store ST(0) as word and pop FPU stack.                            ", 0, "86,FPU       ", 0
            db  "FISTP      ", 0, "DB /3           ", 0, "m32                 ", 0, "Store ST(0) as DW and pop FPU stack.                              ", 0, "86,FPU       ", 0
            db  "FISTP      ", 0, "DF /7           ", 0, "m64                 ", 0, "Store ST(0) as qword and pop FPU stack.                           ", 0, "86,FPU       ", 0
            db  "FISTTP     ", 0, "DF /1           ", 0, "m16                 ", 0, "Store ST(0) as word with truncation and pop FPU stack.            ", 0, "SSE3         ", 0
            db  "FISTTP     ", 0, "DB /1           ", 0, "m32                 ", 0, "Store ST(0) as DW with truncation and pop FPU stack.              ", 0, "SSE3         ", 0
            db  "FISTTP     ", 0, "DD /1           ", 0, "m64                 ", 0, "Store ST(0) as qword with truncation and pop FPU stack.           ", 0, "SSE3         ", 0
            db  "FISUB      ", 0, "DE /4           ", 0, "m16                 ", 0, "Subtract word from ST(0).                                         ", 0, "86,FPU       ", 0
            db  "FISUB      ", 0, "DA /4           ", 0, "m32                 ", 0, "Subtract DWt from ST(0).                                          ", 0, "86,FPU       ", 0
            db  "FISUBR     ", 0, "DE /5           ", 0, "m16                 ", 0, "Subtract ST(0) from word.                                         ", 0, "86,FPU       ", 0
            db  "FISUBR     ", 0, "DA /5           ", 0, "m32                 ", 0, "Subtract ST(0) from DW.                                           ", 0, "86,FPU       ", 0
            db  "FLD        ", 0, "D9 /0           ", 0, "m32                 ", 0, "Push sngle-prec. float onto the FPU stack.                        ", 0, "86,FPU       ", 0
            db  "FLD        ", 0, "DD /0           ", 0, "m64                 ", 0, "Push dble-prec. float onto the FPU stack.                         ", 0, "86,FPU       ", 0
            db  "FLD        ", 0, "DB /5           ", 0, "m80                 ", 0, "Push 80-bit float onto the FPU stack.                             ", 0, "86,FPU       ", 0
            db  "FLD        ", 0, "D9 C0+i         ", 0, "ST(i)               ", 0, "Push ST(i) onto the FPU stack.                                    ", 0, "86,FPU       ", 0
            db  "FLD1       ", 0, "D9 E8           ", 0, "n/a                 ", 0, "Push +1.0 onto the FPU stack.                                     ", 0, "86,FPU       ", 0
            db  "FLDCW      ", 0, "D9 /5           ", 0, "m16                 ", 0, "Load source into FPU control word.                                ", 0, "86,FPU       ", 0
            db  "FLDENV     ", 0, "D9 /4           ", 0, "mem                 ", 0, "Load FPU environment.                                             ", 0, "86,FPU       ", 0
            db  "FLDL2E     ", 0, "D9 EA           ", 0, "n/a                 ", 0, "Push log2(e) onto the FPU stack.                                  ", 0, "86,FPU       ", 0
            db  "FLDLG2     ", 0, "D9 EC           ", 0, "n/a                 ", 0, "Push log10(2) onto the FPU stack.                                 ", 0, "86,FPU       ", 0
            db  "FLDLN2     ", 0, "D9 ED           ", 0, "n/a                 ", 0, "Push ln(2) onto the FPU stack.                                    ", 0, "86,FPU       ", 0
            db  "FLDPI      ", 0, "D9 EB           ", 0, "n/a                 ", 0, "Push pi onto the FPU stack.                                       ", 0, "86,FPU       ", 0
            db  "FLDZ       ", 0, "D9 EE           ", 0, "n/a                 ", 0, "Push +0.0 onto the FPU stack.                                     ", 0, "86,FPU       ", 0
            db  "FMUL       ", 0, "D8 /1           ", 0, "m32                 ", 0, "Multiply ST(0) by sngle-prec. float.                              ", 0, "86,FPU       ", 0
            db  "FMUL       ", 0, "DC /1           ", 0, "m64                 ", 0, "Multiply ST(0) by dble-prec. float.                               ", 0, "86,FPU       ", 0
            db  "FMUL       ", 0, "D8 C8+i         ", 0, "ST(0), ST(i)        ", 0, "Multiply ST(0) by ST(i).                                          ", 0, "86,FPU       ", 0
            db  "FMUL       ", 0, "DC C8+i         ", 0, "ST(i), ST(0)        ", 0, "Multiply ST(i) by ST(0).                                          ", 0, "86,FPU       ", 0
            db  "FMULP      ", 0, "DE C8+i         ", 0, "ST(i), ST(0)        ", 0, "Multiply ST(i) by ST(0) and pop the FPU stack.                    ", 0, "86,FPU       ", 0
            db  "FNCLEX     ", 0, "DB E2           ", 0, "n/a                 ", 0, "Clear FPU exception flags.                                        ", 0, "86,FPU       ", 0
            db  "FNDISI     ", 0, "DB E1           ", 0, "n/a                 ", 0, "Disable FPU interrupts.                                           ", 0, "86,FPU       ", 0
            db  "FNENI      ", 0, "DB E0           ", 0, "n/a                 ", 0, "Enable FPU interrupts.                                            ", 0, "86,FPU       ", 0
            db  "FNINIT     ", 0, "DB E3           ", 0, "n/a                 ", 0, "Initialize FPU.                                                   ", 0, "86,FPU       ", 0
            db  "FNOP       ", 0, "D9 D0           ", 0, "n/a                 ", 0, "FPU no operation is performed.                                    ", 0, "86,FPU       ", 0
            db  "FNSAVE     ", 0, "DD /6           ", 0, "mem                 ", 0, "Save FPU state.                                                   ", 0, "86,FPU       ", 0
            db  "FNSTCW     ", 0, "D9 /7           ", 0, "m16                 ", 0, "Store FPU control word in memory.                                 ", 0, "86,FPU       ", 0
            db  "FNSTDW     ", 0, "D9 /7           ", 0, "AX                  ", 0, "Store device word into AX (only on i387SL Mobile).                ", 0, "386,FPU,UNDOC", 0
            db  "FNSTENV    ", 0, "D9 /6           ", 0, "mem                 ", 0, "Store FPU environment.                                            ", 0, "86,FPU       ", 0
            db  "FNSTSG     ", 0, "DF E2           ", 0, "AX                  ", 0, "Store signature word into AX (only on i387SL Mobile).             ", 0, "386,FPU,UNDOC", 0
            db  "FNSTSW     ", 0, "DF E0           ", 0, "AX                  ", 0, "Store FPU status word into AX.                                    ", 0, "286,FPU      ", 0
            db  "FNSTSW     ", 0, "DD /7           ", 0, "m16                 ", 0, "Store FPU status word into memory.                                ", 0, "86,FPU       ", 0
            db  "FPATAN     ", 0, "D9 F3           ", 0, "n/a                 ", 0, "Put arctan(ST(1)/ST(0)) to ST(1) and pop the FPU stack.           ", 0, "86,FPU       ", 0
            db  "FPREM      ", 0, "D9 F8           ", 0, "n/a                 ", 0, "Partial remainder rounded towards 0.                              ", 0, "86,FPU       ", 0
            db  "FPREM1     ", 0, "D9 F5           ", 0, "n/a                 ", 0, "Partial remainder rounded to the nearest integer.                 ", 0, "386,FPU      ", 0
            db  "FPTAN      ", 0, "D9 F2           ", 0, "n/a                 ", 0, "Put tan(ST(0)) to ST(0) and push 1 onto FPU stack.                ", 0, "86,FPU       ", 0
            db  "FRICHOP    ", 0, "DD FC           ", 0, "n/a                 ", 0, "Round ST(0) towards zero (only on Cyrix and 486s).                ", 0, "486,FPU,CYRIX", 0
            db  "FRINEAR    ", 0, "DF FC           ", 0, "n/a                 ", 0, "Round ST(0) to nearest integer (only on Cyrix and 486s).          ", 0, "486,FPU,CYRIX", 0
            db  "FRINT2     ", 0, "DB FC           ", 0, "n/a                 ", 0, "Round ST(0) to integer (only on Cyrix and 486s).                  ", 0, "486,FPU,CYRIX", 0
            db  "FRNDINT    ", 0, "D9 FC           ", 0, "n/a                 ", 0, "Round ST(0) to an integer.                                        ", 0, "86,FPU       ", 0
            db  "FRSTOR     ", 0, "DD /4           ", 0, "mem                 ", 0, "Restore FPU state.                                                ", 0, "86,FPU       ", 0
            db  "FSAVE      ", 0, "9B DD /6        ", 0, "mem                 ", 0, "Save FPU state and wait.                                          ", 0, "86,FPU       ", 0
            db  "FSCALE     ", 0, "D9 FD           ", 0, "n/a                 ", 0, "Scale ST(0) by ST(1).                                             ", 0, "86,FPU       ", 0
            db  "FSETPM     ", 0, "DB E4           ", 0, "n/a                 ", 0, "Set protected mode (only on 286s).                                ", 0, "286,FPU,PRIV ", 0
            db  "FSIN       ", 0, "D9 FE           ", 0, "n/a                 ", 0, "Replace ST(0) with its sine.                                      ", 0, "386,FPU      ", 0
            db  "FSINCOS    ", 0, "D9 FB           ", 0, "n/a                 ", 0, "Compute the sine and cosine of ST(0).                             ", 0, "386,FPU      ", 0
            db  "FSQRT      ", 0, "D9 FA           ", 0, "n/a                 ", 0, "Replace ST(0) with its sq. root.                                  ", 0, "86,FPU       ", 0
            db  "FST        ", 0, "D9 /2           ", 0, "m32                 ", 0, "Copy ST(0) to sngle-prec. float.                                  ", 0, "86,FPU       ", 0
            db  "FST        ", 0, "DD /2           ", 0, "m64                 ", 0, "Copy ST(0) to dble-prec. float.                                   ", 0, "86,FPU       ", 0
            db  "FST        ", 0, "DD D0+i         ", 0, "ST(i)               ", 0, "Copy ST(0) to ST(i)                                               ", 0, "86,FPU       ", 0
            db  "FSTP       ", 0, "D9 /3           ", 0, "m32                 ", 0, "Copy ST(0) to sngle-prec. float and pop FPU stack                 ", 0, "86,FPU       ", 0
            db  "FSTP       ", 0, "DD /3           ", 0, "m64                 ", 0, "Copy ST(0) to dble-prec. float and pop FPU stack                  ", 0, "86,FPU       ", 0
            db  "FSTP       ", 0, "DB /7           ", 0, "m80                 ", 0, "Copy ST(0) to 80-bit float and pop FPU stack                      ", 0, "86,FPU       ", 0
            db  "FSTP       ", 0, "DD D8+i         ", 0, "ST(i)               ", 0, "Copy ST(0) to ST(i) and pop FPU stack                             ", 0, "86,FPU       ", 0
            db  "FSTP1      ", 0, "D9 D8+i         ", 0, "ST(i)               ", 0, "Undocumented alias to FSTP ST(i)                                  ", 0, "86,FPU,UNDOC ", 0
            db  "FSTP8      ", 0, "DF D0+i         ", 0, "ST(i)               ", 0, "Undocumented alias to FSTP ST(i)                                  ", 0, "86,FPU,UNDOC ", 0
            db  "FSTP9      ", 0, "DF D8+i         ", 0, "ST(i)               ", 0, "Undocumented alias to FSTP ST(i)                                  ", 0, "86,FPU,UNDOC ", 0
            db  "FSTSW      ", 0, "9B DF E0        ", 0, "AX                  ", 0, "Store FPU status word into AX and wait.                           ", 0, "286,FPU      ", 0
            db  "FSTSW      ", 0, "9B DD /7        ", 0, "mem                 ", 0, "Store FPU status word into memory and wait.                       ", 0, "86,FPU       ", 0
            db  "FSUB       ", 0, "D8 /4           ", 0, "m32                 ", 0, "Subtract sngle-prec. float from ST(0).                            ", 0, "86,FPU       ", 0
            db  "FSUB       ", 0, "DC /4           ", 0, "m64                 ", 0, "Subtract dble-prec. float from ST(0).                             ", 0, "86,FPU       ", 0
            db  "FSUB       ", 0, "D8 E0+i         ", 0, "ST(0), ST(i)        ", 0, "Subtract ST(i) from ST(0).                                        ", 0, "86,FPU       ", 0
            db  "FSUB       ", 0, "DC E8+i         ", 0, "ST(i), ST(0)        ", 0, "Subtract ST(0) from ST(i).                                        ", 0, "86,FPU       ", 0
            db  "FSUBP      ", 0, "DE E8+i         ", 0, "ST(i), ST(0)        ", 0, "Subtract ST(0) from ST(i) and pop FPU stack.                      ", 0, "86,FPU       ", 0
            db  "FSUBR      ", 0, "D8 /5           ", 0, "m32                 ", 0, "Subtract ST(0) from sngle-prec. float.                            ", 0, "86,FPU       ", 0
            db  "FSUBR      ", 0, "DC /5           ", 0, "m64                 ", 0, "Subtract ST(0) from dble-prec. float.                             ", 0, "86,FPU       ", 0
            db  "FSUBP      ", 0, "DE E9           ", 0, "n/a                 ", 0, "Subtract ST(0) from ST(1) and pop FPU stack.                      ", 0, "86,FPU       ", 0
            db  "FSUBR      ", 0, "D8 E8+i         ", 0, "ST(0), ST(i)        ", 0, "Subtract ST(0) from ST(i).                                        ", 0, "86,FPU       ", 0
            db  "FSUBR      ", 0, "DC E0+i         ", 0, "ST(i), ST(0)        ", 0, "Subtract ST(i) from ST(0).                                        ", 0, "86,FPU       ", 0
            db  "FSUBRP     ", 0, "DE E0+i         ", 0, "ST(i), ST(0)        ", 0, "Subtract ST(i) from ST(0) and pop FPU stack.                      ", 0, "86,FPU       ", 0
            db  "FSUBRP     ", 0, "DE E1           ", 0, "n/a                 ", 0, "Subtract ST(1) from ST(0) and pop FPU stack.                      ", 0, "86,FPU       ", 0
            db  "FTST       ", 0, "D9 E4           ", 0, "n/a                 ", 0, "Compare ST(0) with 0.0.                                           ", 0, "86,FPU       ", 0
            db  "FUCOM      ", 0, "DD E0+i         ", 0, "ST(i)               ", 0, "Unordered compare ST(0) with ST(i).                               ", 0, "386,FPU      ", 0
            db  "FUCOMI     ", 0, "DB E8+i         ", 0, "ST, ST(i)           ", 0, "Unordered compare ST(0) with ST(i) and set CPU flags.             ", 0, "P6,FPU       ", 0
            db  "FUCOMIP    ", 0, "DF E8+i         ", 0, "ST, ST(i)           ", 0, "Unordered compare ST(0) with ST(i), set flags + pop stack.        ", 0, "P6,FPU       ", 0
            db  "FUCOMP     ", 0, "DD E8+i         ", 0, "ST(i)               ", 0, "Unordered compare ST(0) with ST(i) and pop FPU stack.             ", 0, "386,FPU      ", 0
            db  "FUCOMPP    ", 0, "DA E9           ", 0, "n/a                 ", 0, "Unordered compare ST(0) with ST(1) + pop FPU stack twice.         ", 0, "386,FPU      ", 0
            db  "FXAM       ", 0, "D9 E5           ", 0, "n/a                 ", 0, "Examine classi of value in ST(0).                                 ", 0, "86,FPU       ", 0
            db  "FXCH       ", 0, "D9 C8+i         ", 0, "ST(i)               ", 0, "Exchange the contents of ST(0) and ST(i).                         ", 0, "86,FPU       ", 0
            db  "FXCH4      ", 0, "DD C8+i         ", 0, "ST(i)               ", 0, "Undocumented alias to FXCH ST(i).                                 ", 0, "86,FPU,UNDOC ", 0
            db  "FXCH7      ", 0, "DF C8+i         ", 0, "ST(i)               ", 0, "Undocumented alias to FXCH ST(i).                                 ", 0, "86,FPU,UNDOC ", 0
            db  "FXRSTOR    ", 0, "0F AE /mem|1    ", 0, "mem                 ", 0, "Restore FP, MMX, SSE and SSE2 state.                              ", 0, "P6,FPU,SSE   ", 0
            db  "FXSAVE     ", 0, "0F AE /mem|0    ", 0, "mem                 ", 0, "Save FP, MMX, SSE and SSE2 state.                                 ", 0, "P6,FPU,SSE   ", 0
            db  "FXTRACT    ", 0, "D9 F4           ", 0, "n/a                 ", 0, "Extract exponent and significand from ST(0).                      ", 0, "86,FPU       ", 0
            db  "FYL2X      ", 0, "D9 F1           ", 0, "n/a                 ", 0, "Set ST(1) to ST(1) * log2(ST(0)) and pop FPU stack.               ", 0, "86,FPU       ", 0
            db  "FYL2XP1    ", 0, "D9 F9           ", 0, "n/a                 ", 0, "Set ST(1) to ST(1) * log2(ST(0)+1) and pop FPU stack.             ", 0, "86,FPU       ", 0
            db  "HADDPD     ", 0, "66 0F 7C /r     ", 0, "xmm1, xmm2/m128     ", 0, "Add horizontally packed dble-prec. floats.                        ", 0, "SSE3         ", 0
            db  "HADDPS     ", 0, "F2 0F 7C /r     ", 0, "xmm1, xmm2/m128     ", 0, "Add horizontally packed sngle-prec. floats.                       ", 0, "SSE3         ", 0
            db  "HLT        ", 0, "F4              ", 0, "n/a                 ", 0, "Halt the processor.                                               ", 0, "86           ", 0
            db  "HSUBPD     ", 0, "66 0F 7D /r     ", 0, "xmm1, xmm2/m128     ", 0, "Subtract horizontally packed dble-prec. floats.                   ", 0, "SSE3         ", 0
            db  "HSUBPS     ", 0, "F2 0F 7D /r     ", 0, "xmm1, xmm2/m128     ", 0, "Subtract horizontally packed sngle-prec. floats.                  ", 0, "SSE3         ", 0
            db  "IBTS       ", 0, "0F A7 /r        ", 0, "r/m,r               ", 0, "Write bits from reg to r/m (only on the old 386s).                ", 0, "386,UNDOC    ", 0
            db  "ICEBP      ", 0, "F1              ", 0, "n/a                 ", 0, "One-byte form of INT 1.                                           ", 0, "P6,UNDOC     ", 0
            db  "IDIV       ", 0, "F7 /7           ", 0, "r/m                 ", 0, "Signed divide eDX:eAX by the operand.                             ", 0, "86/386       ", 0
            db  "IDIV       ", 0, "F6 /7           ", 0, "r/m8                ", 0, "Signed divide AX by the operand.                                  ", 0, "86           ", 0
            db  "IMUL       ", 0, "F7 /5           ", 0, "r/m                 ", 0, "Signed multiply operand by eAX.                                   ", 0, "86/386       ", 0
            db  "IMUL       ", 0, "F6 /5           ", 0, "r/m8                ", 0, "Signed multiply operand by AL.                                    ", 0, "86           ", 0
            db  "IMUL       ", 0, "69 /r iv        ", 0, "r, r/m, imm         ", 0, "Signed multiplation of two integers.                              ", 0, "286          ", 0
            db  "IMUL       ", 0, "6B /r ib        ", 0, "r, r/m, imm8        ", 0, "Signed multiplation of two integers.                              ", 0, "286          ", 0
            db  "IMUL       ", 0, "0F AF /r        ", 0, "r, r/m              ", 0, "Signed multiplation of two integers.                              ", 0, "286          ", 0
            db  "IN         ", 0, "EC              ", 0, "AL, DX              ", 0, "Input AL from I/O port.                                           ", 0, "86           ", 0
            db  "IN         ", 0, "E4 ib           ", 0, "AL, imm8            ", 0, "Input AL from I/O port.                                           ", 0, "86           ", 0
            db  "IN         ", 0, "ED              ", 0, "eAX, DX             ", 0, "Input eAX from I/O port.                                          ", 0, "86/386       ", 0
            db  "IN         ", 0, "E5 ib           ", 0, "eAX, imm8           ", 0, "Input eAX from I/O port.                                          ", 0, "86/386       ", 0
            db  "INC        ", 0, "40              ", 0, "eAX                 ", 0, "Increment integer by 1.                                           ", 0, "86/386       ", 0
            db  "INC        ", 0, "45              ", 0, "eBP                 ", 0, "Increment integer by 1.                                           ", 0, "86/386       ", 0
            db  "INC        ", 0, "43              ", 0, "eBX                 ", 0, "Increment integer by 1.                                           ", 0, "86/386       ", 0
            db  "INC        ", 0, "41              ", 0, "eCX                 ", 0, "Increment integer by 1.                                           ", 0, "86/386       ", 0
            db  "INC        ", 0, "47              ", 0, "eDI                 ", 0, "Increment integer by 1.                                           ", 0, "86/386       ", 0
            db  "INC        ", 0, "42              ", 0, "eDX                 ", 0, "Increment integer by 1.                                           ", 0, "86/386       ", 0
            db  "INC        ", 0, "46              ", 0, "eSI                 ", 0, "Increment integer by 1.                                           ", 0, "86/386       ", 0
            db  "INC        ", 0, "44              ", 0, "eSP                 ", 0, "Increment integer by 1.                                           ", 0, "86/386       ", 0
            db  "INC        ", 0, "FF /0           ", 0, "r/m                 ", 0, "Increment integer by 1.                                           ", 0, "86/386       ", 0
            db  "INC        ", 0, "FE /0           ", 0, "r/m8                ", 0, "Increment r/m byte by 1                                           ", 0, "86           ", 0
            db  "INSB       ", 0, "6C              ", 0, "n/a                 ", 0, "Input string byte from I/O port.                                  ", 0, "186          ", 0
            db  "INSW       ", 0, "6D              ", 0, "m8, DX              ", 0, "Input string byte from I/O port.                                  ", 0, "186/386      ", 0
            db  "INSD       ", 0, "6D              ", 0, "m8, DX              ", 0, "Input string byte from I/O port.                                  ", 0, "186/386      ", 0
            db  "INT        ", 0, "CC              ", 0, "3                   ", 0, "One byte form of INT 3.                                           ", 0, "86           ", 0
            db  "INT        ", 0, "CD ib           ", 0, "imm8                ", 0, "Software interrupt.                                               ", 0, "86           ", 0
            db  "INTO       ", 0, "CE              ", 0, "n/a                 ", 0, "Interrupt 4, if OF=1.                                             ", 0, "86           ", 0
            db  "INVD       ", 0, "0F 08           ", 0, "n/a                 ", 0, "Invalidate CPU internal caches.                                   ", 0, "486,PRIV     ", 0
            db  "INVLPG     ", 0, "0F 01/7         ", 0, "m                   ", 0, "Invalidate TLB entry.                                             ", 0, "486,PRIV     ", 0
            db  "IRET       ", 0, "CF              ", 0, "n/a                 ", 0, "Return from Interrupt.                                            ", 0, "86           ", 0
            db  "IRETD      ", 0, "CF              ", 0, "n/a                 ", 0, "Return from Interrupt.                                            ", 0, "86           ", 0
            db  "JA         ", 0, "0F 87 iv        ", 0, "rel                 ", 0, "Jump if above (CF=0 and ZF=0)                                     ", 0, "86           ", 0
            db  "JNBE       ", 0, "0F 87 iv        ", 0, "rel                 ", 0, "Jump if above (CF=0 and ZF=0)                                     ", 0, "86           ", 0
            db  "JA         ", 0, "77 cb           ", 0, "rel8                ", 0, "Jump short if above (CF=0 and ZF=0)                               ", 0, "386          ", 0
            db  "JNBE       ", 0, "77 cb           ", 0, "rel8                ", 0, "Jump short if above (CF=0 and ZF=0)                               ", 0, "386          ", 0
            db  "JAE        ", 0, "0F 83 iv        ", 0, "rel                 ", 0, "Jump if above or equal (CF=0)                                     ", 0, "86           ", 0
            db  "JNB        ", 0, "0F 83 iv        ", 0, "rel                 ", 0, "Jump if above or equal (CF=0)                                     ", 0, "86           ", 0
            db  "JNC        ", 0, "0F 83 iv        ", 0, "rel                 ", 0, "Jump if above or equal (CF=0)                                     ", 0, "86           ", 0
            db  "JAE        ", 0, "73 cb           ", 0, "rel8                ", 0, "Jump short if above or equal (CF=0)                               ", 0, "386          ", 0
            db  "JNB        ", 0, "73 cb           ", 0, "rel8                ", 0, "Jump short if above or equal (CF=0)                               ", 0, "386          ", 0
            db  "JNC        ", 0, "73 cb           ", 0, "rel8                ", 0, "Jump short if above or equal (CF=0)                               ", 0, "386          ", 0
            db  "JB         ", 0, "0F 82 cw/cd     ", 0, "rel                 ", 0, "Jump if below (CF=1)                                              ", 0, "386          ", 0
            db  "JC         ", 0, "0F 82 cw/cd     ", 0, "rel                 ", 0, "Jump if below (CF=1)                                              ", 0, "386          ", 0
            db  "JNAE       ", 0, "0F 82 cw/cd     ", 0, "rel                 ", 0, "Jump if below (CF=1)                                              ", 0, "386          ", 0
            db  "JB         ", 0, "72 cb           ", 0, "rel8                ", 0, "Jump short if below (CF=1)                                        ", 0, "86           ", 0
            db  "JC         ", 0, "72 cb           ", 0, "rel8                ", 0, "Jump short if below (CF=1)                                        ", 0, "86           ", 0
            db  "JNAE       ", 0, "72 cb           ", 0, "rel8                ", 0, "Jump short if below (CF=1)                                        ", 0, "86           ", 0
            db  "JBE        ", 0, "0F 86 cw/cd     ", 0, "rel                 ", 0, "Jump if below or equal (CF=1 or ZF=1).                            ", 0, "386          ", 0
            db  "JNA        ", 0, "0F 86 cw/cd     ", 0, "rel                 ", 0, "Jump if below or equal (CF=1 or ZF=1).                            ", 0, "386          ", 0
            db  "JBE        ", 0, "76 cb           ", 0, "rel8                ", 0, "Jump short if below or equal (CF=1 or ZF=1).                      ", 0, "86           ", 0
            db  "JNA        ", 0, "76 cb           ", 0, "rel8                ", 0, "Jump short if below or equal (CF=1 or ZF=1).                      ", 0, "86           ", 0
            db  "JCXZ       ", 0, "E3 cb           ", 0, "rel8                ", 0, "Jump short if eCX is 0.                                           ", 0, "86/386       ", 0
            db  "JECXZ      ", 0, "E3 cb           ", 0, "rel8                ", 0, "Jump short if eCX is 0.                                           ", 0, "86/386       ", 0
            db  "JE         ", 0, "0F 84 iv        ", 0, "rel                 ", 0, "Jump if equal (ZF=1).                                             ", 0, "386          ", 0
            db  "JZ         ", 0, "0F 84 iv        ", 0, "rel                 ", 0, "Jump if equal (ZF=1).                                             ", 0, "386          ", 0
            db  "JE         ", 0, "74 ib           ", 0, "rel8                ", 0, "Jump short if equal (ZF=1).                                       ", 0, "86           ", 0
            db  "JZ         ", 0, "74 ib           ", 0, "rel8                ", 0, "Jump short if equal (ZF=1).                                       ", 0, "86           ", 0
            db  "JG         ", 0, "0F 8F iv        ", 0, "rel                 ", 0, "Jump if greater (ZF=0 and SF=OF)                                  ", 0, "386          ", 0
            db  "JNLE       ", 0, "0F 8F iv        ", 0, "rel                 ", 0, "Jump if greater (ZF=0 and SF=OF)                                  ", 0, "386          ", 0
            db  "JG         ", 0, "7F cb           ", 0, "rel8                ", 0, "Jump short if greater (ZF=0 and SF=OF)                            ", 0, "86           ", 0
            db  "JNLE       ", 0, "7F cb           ", 0, "rel8                ", 0, "Jump short if greater (ZF=0 and SF=OF)                            ", 0, "86           ", 0
            db  "JGE        ", 0, "0F 8D iv        ", 0, "rel                 ", 0, "Jump near if greater or equal (SF=OF)                             ", 0, "386          ", 0
            db  "JNL        ", 0, "0F 8D iv        ", 0, "rel                 ", 0, "Jump near if greater or equal (SF=OF)                             ", 0, "386          ", 0
            db  "JGE        ", 0, "7D cb           ", 0, "rel8                ", 0, "Jump short if greater or equal (SF=OF)                            ", 0, "86           ", 0
            db  "JNL        ", 0, "7D cb           ", 0, "rel8                ", 0, "Jump short if greater or equal (SF=OF)                            ", 0, "86           ", 0
            db  "JL         ", 0, "0F 8C cw/cd     ", 0, "rel                 ", 0, "Jump if less (SF<>OF)                                             ", 0, "386          ", 0
            db  "JNGE       ", 0, "0F 8C cw/cd     ", 0, "rel                 ", 0, "Jump if less (SF<>OF)                                             ", 0, "386          ", 0
            db  "JL         ", 0, "7C cb           ", 0, "rel8                ", 0, "Jump short if less (SF<>OF)                                       ", 0, "86           ", 0
            db  "JNGE       ", 0, "7C cb           ", 0, "rel8                ", 0, "Jump short if less (SF<>OF)                                       ", 0, "86           ", 0
            db  "JLE        ", 0, "0F 8E cw/cd     ", 0, "rel                 ", 0, "Jump if less or equal (ZF=1 or SF<>OF)                            ", 0, "386          ", 0
            db  "JNG        ", 0, "0F 8E cw/cd     ", 0, "rel                 ", 0, "Jump if less or equal (ZF=1 or SF<>OF)                            ", 0, "386          ", 0
            db  "JLE        ", 0, "7E cb           ", 0, "rel8                ", 0, "Jump short if less or equal (ZF=1 or SF<>OF)                      ", 0, "86           ", 0
            db  "JNG        ", 0, "7E cb           ", 0, "rel8                ", 0, "Jump short if less or equal (ZF=1 or SF<>OF)                      ", 0, "86           ", 0
            db  "JMP        ", 0, "EA iv iw        ", 0, "imm16:imm           ", 0, "a far absolute jump.                                              ", 0, "86           ", 0
            db  "JMP        ", 0, "FF /5           ", 0, "m16:m               ", 0, "a far absolute indirect jump.                                     ", 0, "86           ", 0
            db  "JMP        ", 0, "FF /4           ", 0, "r/m                 ", 0, "A near absolute indirect jump.                                    ", 0, "86/386       ", 0
            db  "JMP        ", 0, "E9 iv           ", 0, "rel                 ", 0, "A near relative jump.                                             ", 0, "86           ", 0
            db  "JMP        ", 0, "EB ib           ", 0, "rel8                ", 0, "A short relative jump.                                            ", 0, "86           ", 0
            db  "JMPE       ", 0, "0F 00 /6        ", 0, "r/m                 ", 0, "Transition from IA-32 mode to IA-64 mode.                         ", 0, "ITANIUM      ", 0
            db  "JMPE       ", 0, "0F B8 iv        ", 0, "rel                 ", 0, "Transition from IA-32 mode to IA-64 mode.                         ", 0, "ITANIUM      ", 0
            db  "JNE        ", 0, "0F 85 cw/cd     ", 0, "rel                 ", 0, "Jump if not equal (ZF=0)                                          ", 0, "386          ", 0
            db  "JNZ        ", 0, "0F 85 cw/cd     ", 0, "rel                 ", 0, "Jump if not equal (ZF=0)                                          ", 0, "386          ", 0
            db  "JNE        ", 0, "75 ib           ", 0, "rel8                ", 0, "Jump short if not equal (ZF=0)                                    ", 0, "86           ", 0
            db  "JNZ        ", 0, "75 ib           ", 0, "rel8                ", 0, "Jump short if not equal (ZF=0)                                    ", 0, "86           ", 0
            db  "JNO        ", 0, "0F 81 iv        ", 0, "rel                 ", 0, "Jump if not overflow (OF=0)                                       ", 0, "386          ", 0
            db  "JNO        ", 0, "71 ib           ", 0, "rel8                ", 0, "Jump short if not overflow (OF=0).                                ", 0, "86           ", 0
            db  "JNP        ", 0, "0F 8B iv        ", 0, "rel                 ", 0, "Jump if not parity (PF=0).                                        ", 0, "386          ", 0
            db  "JPO        ", 0, "0F 8B iv        ", 0, "rel                 ", 0, "Jump if not parity (PF=0).                                        ", 0, "386          ", 0
            db  "JNP        ", 0, "7B ib           ", 0, "rel8                ", 0, "Jump short if not parity (PF=0).                                  ", 0, "86           ", 0
            db  "JPO        ", 0, "7B ib           ", 0, "rel8                ", 0, "Jump short if not parity (PF=0).                                  ", 0, "86           ", 0
            db  "JNS        ", 0, "0F 89 iv        ", 0, "rel                 ", 0, "Jump if not sign (SF=0).                                          ", 0, "386          ", 0
            db  "JNS        ", 0, "79 ib           ", 0, "rel8                ", 0, "Jump short if not sign (SF=0).                                    ", 0, "86           ", 0
            db  "JO         ", 0, "0F 80 iv        ", 0, "rel                 ", 0, "Jump if overflow (OF=1).                                          ", 0, "386          ", 0
            db  "JO         ", 0, "70 ib           ", 0, "rel8                ", 0, "Jump short if overflow (OF=1).                                    ", 0, "86           ", 0
            db  "JP         ", 0, "0F 8A iv        ", 0, "rel                 ", 0, "Jump if parity (PF=1).                                            ", 0, "386          ", 0
            db  "JPE        ", 0, "0F 8A iv        ", 0, "rel                 ", 0, "Jump if parity (PF=1).                                            ", 0, "386          ", 0
            db  "JP         ", 0, "7A ib           ", 0, "rel8                ", 0, "Jump short if parity (PF=1).                                      ", 0, "86           ", 0
            db  "JPE        ", 0, "7A ib           ", 0, "rel8                ", 0, "Jump short if parity (PF=1).                                      ", 0, "86           ", 0
            db  "JS         ", 0, "0F 88 iv        ", 0, "rel                 ", 0, "Jump if sign (SF=1).                                              ", 0, "386          ", 0
            db  "JS         ", 0, "78 ib           ", 0, "rel8                ", 0, "Jump short if sign (SF=1)                                         ", 0, "86           ", 0
            db  "LAHF       ", 0, "9F              ", 0, "n/a                 ", 0, "Load AH from CPU flags.                                           ", 0, "86           ", 0
            db  "LAR        ", 0, "0F 02 /r        ", 0, "reg, r/m            ", 0, "Load access rights of the segment.                                ", 0, "286          ", 0
            db  "LDDQU      ", 0, "F2 0F F0 /r     ", 0, "xmm,m128            ", 0, "Load unaligned dble-prec. qword.                                  ", 0, "SSE3         ", 0
            db  "LDMXCSR    ", 0, "0F AE /mem|2    ", 0, "m32                 ", 0, "Load source into MXCSR.                                           ", 0, "SSE          ", 0
            db  "LDS        ", 0, "C5 /r           ", 0, "reg, m16:mem        ", 0, "Load far pointer into DS and register.                            ", 0, "86           ", 0
            db  "LEA        ", 0, "8D /r           ", 0, "r32, m              ", 0, "Load effective address into register.                             ", 0, "86/386       ", 0
            db  "LEAVE      ", 0, "C9              ", 0, "n/a                 ", 0, "Destroy stack frame used by procedure or sbroutine.               ", 0, "186          ", 0
            db  "LES        ", 0, "C4 /r           ", 0, "r1 m16:mem          ", 0, "Load far pointer into ES and register.                            ", 0, "86           ", 0
            db  "LFENSE     ", 0, "0F AE /3|5      ", 0, "n/a                 ", 0, "Load fence.                                                       ", 0, "SSE2         ", 0
            db  "LFS        ", 0, "0F B4 /r        ", 0, "reg, m16:mem        ", 0, "Load far pointer into FS and register.                            ", 0, "386          ", 0
            db  "LGDT       ", 0, "0F 01 /2        ", 0, "mem                 ", 0, "Load source into GDTR.                                            ", 0, "286,PRIV     ", 0
            db  "LGS        ", 0, "0F B5 /r        ", 0, "r, m16:mem          ", 0, "Load far pointer into GS and register.                            ", 0, "386          ", 0
            db  "LIDT       ", 0, "0F 01 /3        ", 0, "mem                 ", 0, "Load source into IDTR.                                            ", 0, "286,PRIV     ", 0
            db  "LLDT       ", 0, "0F 00 /2        ", 0, "r/m16               ", 0, "Load source into LDTR.                                            ", 0, "286,PRIV     ", 0
            db  "LMSW       ", 0, "0F 01 /6        ", 0, "r/m16               ", 0, "Load source into MSW (bottom 4 bits of CR(0).                     ", 0, "286,PRIV     ", 0
            db  "LOADALL    ", 0, "0F 07           ", 0, "n/a                 ", 0, "Load processor state (on some 386 & 486s).                        ", 0, "386,UNDOC    ", 0
            db  "LOADALL286 ", 0, "0F 04           ", 0, "n/a                 ", 0, "Load processor state (only on 286).                               ", 0, "286,UNDOC    ", 0
            db  "LOADALL286 ", 0, "0F 05           ", 0, "n/a                 ", 0, "Load processor state (only on 286).                               ", 0, "286,UNDOC    ", 0
            db  "LOCK       ", 0, "F0              ", 0, "n/a                 ", 0, "Exclusive use of memory in multiprocessor system.                 ", 0, "86           ", 0
            db  "LODSB      ", 0, "AC              ", 0, "n/a                 ", 0, "Load a byte from string.                                          ", 0, "86           ", 0
            db  "LODSW      ", 0, "AD              ", 0, "n/a                 ", 0, "Load a word from string.                                          ", 0, "86/386       ", 0
            db  "LODSD      ", 0, "AD              ", 0, "n/a                 ", 0, "Load a DW from string.                                            ", 0, "86/386       ", 0
            db  "LOOP       ", 0, "E2 ib           ", 0, "rel8                ", 0, "Decrement eCX and jump if eCX<>0.                                 ", 0, "86           ", 0
            db  "LOOPE      ", 0, "E1 ib           ", 0, "rel8                ", 0, "Decrement eCX and jump if eCX<>0 and ZF=1.                        ", 0, "86           ", 0
            db  "LOOPZ      ", 0, "E1 ib           ", 0, "rel8                ", 0, "Decrement eCX and jump if eCX<>0 and ZF=1.                        ", 0, "86           ", 0
            db  "LOOPNE     ", 0, "E0 ib           ", 0, "rel8                ", 0, "Decrement eCX and jump if eCX<>0 and ZF=0.                        ", 0, "86           ", 0
            db  "LOOPNZ     ", 0, "E0 ib           ", 0, "rel8                ", 0, "Decrement eCX and jump if eCX<>0 and ZF=0.                        ", 0, "86           ", 0
            db  "LSL        ", 0, "0F 03 /r        ", 0, "reg, r/m            ", 0, "Load segment limit.                                               ", 0, "286          ", 0
            db  "LSS        ", 0, "0F B2 /r        ", 0, "reg, m16:mem        ", 0, "Load far pointer into SS and register.                            ", 0, "386          ", 0
            db  "LTR        ", 0, "0F 00 /3        ", 0, "r/m16               ", 0, "Load source into TR.                                              ", 0, "286,PRIV     ", 0
            db  "MASKMOVDQU ", 0, "66 0F F7 /r     ", 0, "xmm1, xmm2          ", 0, "Store selected bytes of DW.                                       ", 0, "SSE2         ", 0
            db  "MASKMOVQ   ", 0, "0F F7 /r        ", 0, "mm1, mm2            ", 0, "Store selected bytes of qword.                                    ", 0, "SSE          ", 0
            db  "MAXPD      ", 0, "66 0F 5F /r     ", 0, "xmm1, xmm2/m128     ", 0, "Maximum of packed dble-prec. floats.                              ", 0, "SSE2         ", 0
            db  "MAXPS      ", 0, "0F 5F /r        ", 0, "xmm1, xmm2/m128     ", 0, "Maximum of packed sngle-prec. floats.                             ", 0, "SSE          ", 0
            db  "MAXSD      ", 0, "F2 0F 5F /r     ", 0, "xmm1, xmm2/m64      ", 0, "Maximum of scalar dble-prec. floats.                              ", 0, "SSE2         ", 0
            db  "MAXSS      ", 0, "F3 0F 5F /r     ", 0, "xmm1, xmm2/m32      ", 0, "Maximum of scalar sngle-prec. floats.                             ", 0, "SSE          ", 0
            db  "MFENCE     ", 0, "0F AE /6        ", 0, "n/a                 ", 0, "Memory fence.                                                     ", 0, "SSE2         ", 0
            db  "MINPD      ", 0, "66 0F 5D /r     ", 0, "xmm1, xmm2/m128     ", 0, "Minimum of packed dble-prec. floats.                              ", 0, "SSE2         ", 0
            db  "MINPS      ", 0, "0F 5D /r        ", 0, "xmm1, xmm2/m128     ", 0, "Minimum of packed sngle-prec. floats.                             ", 0, "SSE          ", 0
            db  "MINSD      ", 0, "F2 0F 5D /r     ", 0, "xmm1, xmm2/m64      ", 0, "Minimum of scalar dble-prec. floats.                              ", 0, "SSE2         ", 0
            db  "MINSS      ", 0, "F3 0F 5D /r     ", 0, "xmm1, xmm2/m32      ", 0, "Minimum of scalar sngle-prec. floats.                             ", 0, "SSE          ", 0
            db  "MONITOR    ", 0, "0F 01 C8        ", 0, "n/a                 ", 0, "Setup monitor address from EAX.                                   ", 0, "SSE3         ", 0
            db  "MOV AH     ", 0, "B4 ib           ", 0, "imm8                ", 0, "Move immediate value into register.                               ", 0, "86           ", 0
            db  "MOV AL     ", 0, "B0 ib           ", 0, "imm8                ", 0, "Move immediate value into register.                               ", 0, "86           ", 0
            db  "MOV AL     ", 0, "A0 ib           ", 0, "moffs8              ", 0, "Move source into register.                                        ", 0, "86           ", 0
            db  "MOV BH     ", 0, "B7 ib           ", 0, "imm8                ", 0, "Move immediate value into register.                               ", 0, "86           ", 0
            db  "MOV BL     ", 0, "B3 ib           ", 0, "imm8                ", 0, "Move immediate value into register.                               ", 0, "86           ", 0
            db  "MOV CH     ", 0, "B5 ib           ", 0, "imm8                ", 0, "Move immediate value into register.                               ", 0, "86           ", 0
            db  "MOV CL     ", 0, "B1 ib           ", 0, "imm8                ", 0, "Move immediate value into register.                               ", 0, "86           ", 0
            db  "MOV CR0    ", 0, "0F 22 /r        ", 0, "reg32               ", 0, "Move register into control register.                              ", 0, "386/PRIV     ", 0
            db  "MOV CR2    ", 0, "0F 22 /r        ", 0, "reg32               ", 0, "Move register into control register.                              ", 0, "386/PRIV     ", 0
            db  "MOV CR3    ", 0, "0F 22 /r        ", 0, "reg32               ", 0, "Move register into control register.                              ", 0, "386/PRIV     ", 0
            db  "MOV CR4    ", 0, "0F 22 /r        ", 0, "reg32               ", 0, "Move register into control register.                              ", 0, "386/PRIV     ", 0
            db  "MOV DH     ", 0, "B6 ib           ", 0, "imm8                ", 0, "Move immediate value into register.                               ", 0, "86           ", 0
            db  "MOV DL     ", 0, "B2 ib           ", 0, "imm8                ", 0, "Move immediate value into register.                               ", 0, "86           ", 0
            db  "MOV DR0    ", 0, "0F 23 /r        ", 0, "reg32               ", 0, "Move register into debug register.                                ", 0, "386,PRIV     ", 0
            db  "MOV DR1    ", 0, "0F 23 /r        ", 0, "reg32               ", 0, "Move register into debug register.                                ", 0, "386,PRIV     ", 0
            db  "MOV DR2    ", 0, "0F 23 /r        ", 0, "reg32               ", 0, "Move register into debug register.                                ", 0, "386,PRIV     ", 0
            db  "MOV DR3    ", 0, "0F 23 /r        ", 0, "reg32               ", 0, "Move register into debug register.                                ", 0, "386,PRIV     ", 0
            db  "MOV DR6    ", 0, "0F 23 /r        ", 0, "reg32               ", 0, "Move register into debug register.                                ", 0, "386,PRIV     ", 0
            db  "MOV DR7    ", 0, "0F 23 /r        ", 0, "reg32               ", 0, "Move register into debug register.                                ", 0, "386,PRIV     ", 0
            db  "MOV eAX    ", 0, "B8 iv           ", 0, "imm                 ", 0, "Move immediate value into register.                               ", 0, "86,386       ", 0
            db  "MOV eAX    ", 0, "A1 iv           ", 0, "moffs               ", 0, "Move source into register.                                        ", 0, "86,386       ", 0
            db  "MOV eBP    ", 0, "BD iv           ", 0, "imm                 ", 0, "Move immediate value into register.                               ", 0, "86,386       ", 0
            db  "MOV eBX    ", 0, "BB iv           ", 0, "imm                 ", 0, "Move immediate value into register.                               ", 0, "86,386       ", 0
            db  "MOV eCX    ", 0, "B9 iv           ", 0, "imm                 ", 0, "Move immediate value into register.                               ", 0, "86,386       ", 0
            db  "MOV eDI    ", 0, "BF iv           ", 0, "imm                 ", 0, "Move immediate value into register.                               ", 0, "86,386       ", 0
            db  "MOV eDX    ", 0, "BA iv           ", 0, "imm                 ", 0, "Move immediate value into register.                               ", 0, "86,386       ", 0
            db  "MOV eSI    ", 0, "BE iv           ", 0, "imm                 ", 0, "Move immediate value into register.                               ", 0, "86,386       ", 0
            db  "MOV eSP    ", 0, "BC iv           ", 0, "imm                 ", 0, "Move immediate value into register.                               ", 0, "86,386       ", 0
            db  "MOV        ", 0, "A3 iv           ", 0, "moffs,eAX           ", 0, "Move register into destination.                                   ", 0, "86,386       ", 0
            db  "MOV        ", 0, "A2 ib           ", 0, "moffs8,AL           ", 0, "Move register into destination.                                   ", 0, "86           ", 0
            db  "MOV        ", 0, "C7 /0 iv        ", 0, "r/m,imm             ", 0, "Move immediate value into register.                               ", 0, "86           ", 0
            db  "MOV        ", 0, "89 /r           ", 0, "r/m,reg             ", 0, "Move register into destination.                                   ", 0, "86/386       ", 0
            db  "MOV        ", 0, "8C /r           ", 0, "r/m, sreg           ", 0, "Move segment register into destination.                           ", 0, "86           ", 0
            db  "MOV        ", 0, "C6 /0 ib        ", 0, "r/m8,imm8           ", 0, "Move immediate value into destination.                            ", 0, "86           ", 0
            db  "MOV        ", 0, "88 /r           ", 0, "r/m8,reg8           ", 0, "Move register into destination.                                   ", 0, "86           ", 0
            db  "MOV        ", 0, "8B /r           ", 0, "reg,r/m             ", 0, "Move source into register.                                        ", 0, "86,386       ", 0
            db  "MOV        ", 0, "0F 20 /r        ", 0, "reg32,CR0/2/3/4     ", 0, "Move control register into register.                              ", 0, "386          ", 0
            db  "MOV        ", 0, "0F 21 /r        ", 0, "reg32,DR0/1/2/3/6/7 ", 0, "Move debug register into register.                                ", 0, "386          ", 0
            db  "MOV        ", 0, "0F 24 /r        ", 0, "reg32,TR3/4/5/6/7   ", 0, "Move test register into register.                                 ", 0, "386          ", 0
            db  "MOV        ", 0, "8A /r           ", 0, "reg8,r/m8           ", 0, "Move source into register.                                        ", 0, "86           ", 0
            db  "MOV        ", 0, "8E /r           ", 0, "sreg,r/m            ", 0, "Move source into segment register.                                ", 0, "86           ", 0
            db  "MOV        ", 0, "0F 26 /r        ", 0, "TR3/4/5/6/7,reg32   ", 0, "Move register into test register.                                 ", 0, "386          ", 0
            db  "MOVAPD     ", 0, "66 0F 28 /r     ", 0, "xmm1, xmm2/m128     ", 0, "Move aligned packed dble-prec. floats.                            ", 0, "SSE2         ", 0
            db  "MOVAPD     ", 0, "66 0F 29 /r     ", 0, "xmm2/m128, xmm1     ", 0, "Move aligned packed dble-prec. floats.                            ", 0, "SSE2         ", 0
            db  "MOVAPS     ", 0, "0F 28 /r        ", 0, "xmm1,xmm2/m128      ", 0, "Move aligned packed sngle-prec. floats.                           ", 0, "SSE          ", 0
            db  "MOVAPS     ", 0, "0F 29 /r        ", 0, "xmm1/m128,xmm2      ", 0, "Move aligned packed sngle-prec. floats.                           ", 0, "SSE          ", 0
            db  "MOVD       ", 0, "0F 6E /r        ", 0, "mm,r/m32            ", 0, "Move DW to MMX register.                                          ", 0, "MMX          ", 0
            db  "MOVD       ", 0, "0F 7E /r        ", 0, "r/m32, mm           ", 0, "Move DW from MMX register.                                        ", 0, "MMX          ", 0
            db  "MOVD       ", 0, "66 0F 7E /r     ", 0, "r/m32,xmm           ", 0, "Move DW to XMM register.                                          ", 0, "SSE2         ", 0
            db  "MOVD       ", 0, "66 0F 6E /r     ", 0, "xmm,r/m32           ", 0, "Move DW from XMM register.                                        ", 0, "SSE2         ", 0
            db  "MOVDDUP    ", 0, "F2 0F 12 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Move packed dble-prec. float and duplicate it.                    ", 0, "SSE3         ", 0
            db  "MOVDQ2Q    ", 0, "F2 0F D6 /r     ", 0, "mm,xmm              ", 0, "Move DW from XMM to MMX register.                                 ", 0, "SSE2         ", 0
            db  "MOVDQA     ", 0, "66 0F 6F /r     ", 0, "xmm1,xmm2/m128      ", 0, "Move aligned double qword.                                        ", 0, "SSE2         ", 0
            db  "MOVDQA     ", 0, "66 0F 7F /r     ", 0, "xmm2/m128,xmm1      ", 0, "Move aligned double qword.                                        ", 0, "SSE2         ", 0
            db  "MOVDQU     ", 0, "F3 0F 6F /r     ", 0, "xmm1,xmm2/m128      ", 0, "Move unaligned double qword.                                      ", 0, "SSE2         ", 0
            db  "MOVDQU     ", 0, "F3 0F 7F /r     ", 0, "xmm1,m128/xmm2      ", 0, "Move unaligned double qword.                                      ", 0, "SSE2         ", 0
            db  "MOVHLPS    ", 0, "OF 12 3| /r     ", 0, "xmm1,xmm2           ", 0, "Move packed sngle-prec. floats values from high to low.           ", 0, "SSE          ", 0
            db  "MOVHPD     ", 0, "66 0F 17 /r     ", 0, "m64,xmm             ", 0, "Move high packed dble-prec. floats.                               ", 0, "SSE2         ", 0
            db  "MOVHPD     ", 0, "66 0F 16 /r     ", 0, "xmm,m64             ", 0, "Move high packed dble-prec. floats.                               ", 0, "SSE2         ", 0
            db  "MOVHPS     ", 0, "0F 17 /r        ", 0, "m64,xmm             ", 0, "Move high packed sngle-prec. floats.                              ", 0, "SSE          ", 0
            db  "MOVHPS     ", 0, "0F 16 /mem|r    ", 0, "xmm, m64            ", 0, "Move high packed sngle-prec. floats.                              ", 0, "SSE          ", 0
            db  "MOVLHPS    ", 0, "OF 16 3| /r     ", 0, "xmm1,xmm2           ", 0, "Move packed sngle-prec. floats from low to high.                  ", 0, "SSE          ", 0
            db  "MOVLPD     ", 0, "66 0F 13 /r     ", 0, "m64,xmm             ", 0, "Move low packed dble-prec. floats.                                ", 0, "SSE2         ", 0
            db  "MOVLPD     ", 0, "66 0F 12 /r     ", 0, "xmm,m64             ", 0, "Move low packed dble-prec. floats.                                ", 0, "SSE2         ", 0
            db  "MOVLPS     ", 0, "0F 13 /r        ", 0, "m64,xmm             ", 0, "Move low packed dble-prec. floats.                                ", 0, "SSE          ", 0
            db  "MOVLPS     ", 0, "0F 12 /mem|r    ", 0, "xmm,m64             ", 0, "Move low packed sngle-prec. floats.                               ", 0, "SSE          ", 0
            db  "MOVMSKPD   ", 0, "66 0F 50 /r     ", 0, "reg32,xmm           ", 0, "Extract packed dble-prec. float sign mask.                        ", 0, "SSE2         ", 0
            db  "MOVMSKPS   ", 0, "0F 50 /r        ", 0, "reg32,xmm           ", 0, "Extract packed sngle-prec. float sign mask.                       ", 0, "SSE          ", 0
            db  "MOVNTDQ    ", 0, "66 0F E7 /r     ", 0, "m128,xmm            ", 0, "Move dble-prec. qword preventing caching.                         ", 0, "SSE2         ", 0
            db  "MOVNTI     ", 0, "0F C3 /r        ", 0, "m32,reg32           ", 0, "Move DW preventing caching.                                       ", 0, "SSE2         ", 0
            db  "MOVNTPD    ", 0, "66 0F 2B /r     ", 0, "m128,xmm            ", 0, "Move packed dble-prec. float preventing caching.                  ", 0, "SSE2         ", 0
            db  "MOVNTPS    ", 0, "0F 2B /r        ", 0, "m128,xmm            ", 0, "Move packed sngle-prec. float preventing caching.                 ", 0, "SSE          ", 0
            db  "MOVNTQ     ", 0, "0F E7 /r        ", 0, "m64,mm              ", 0, "Move qword preventing caching.                                    ", 0, "SSE          ", 0
            db  "MOVQ       ", 0, "0F 6F /r        ", 0, "mm1,mm2/m64         ", 0, "Move qword to MMX register.                                       ", 0, "MMX          ", 0
            db  "MOVQ       ", 0, "0F 7F /r        ", 0, "mm1/m64,mm2         ", 0, "Move qword from MMX register.                                     ", 0, "MMX          ", 0
            db  "MOVQ       ", 0, "F3 0F 7E /r     ", 0, "xmm1,xmm2/m64       ", 0, "Move qword to XMM register.                                       ", 0, "SSE2         ", 0
            db  "MOVQ       ", 0, "66 0F D6 /r     ", 0, "xmm2/m64,xmm1       ", 0, "Move qword from XMM register.                                     ", 0, "SSE2         ", 0
            db  "MOVQ2DQ    ", 0, "F3 0F D6 /r     ", 0, "xmm,mm              ", 0, "Move qword from MMX to XMM register.                              ", 0, "SSE2         ", 0
            db  "MOVSB      ", 0, "A4              ", 0, "n/a                 ", 0, "Move abyte from string to string.                                 ", 0, "86           ", 0
            db  "MOVSD      ", 0, "F2 0F 10 /r     ", 0, "xmm1,xmm2/m64       ", 0, "Move scalar dble-prec. float.                                     ", 0, "SSE2         ", 0
            db  "MOVSD      ", 0, "F2 0F 11 /r     ", 0, "xmm2/m64,xmm1       ", 0, "Move scalar dble-prec. float.                                     ", 0, "SSE2         ", 0
            db  "MOVSHDUP   ", 0, "F3 0F 16 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Move high packed sngle-prec. floats and duplicate them.           ", 0, "SSE3         ", 0
            db  "MOVSLDUP   ", 0, "F3 0F 12 /r     ", 0, "xmm2/m128,xmm1      ", 0, "Move low packed sngle-prec. floats and duplicate them.            ", 0, "SSE3         ", 0
            db  "MOVSS      ", 0, "F3 0F 10 /r     ", 0, "xmm1,xmm2/m64       ", 0, "Move scalar dble-prec. float.                                     ", 0, "SSE          ", 0
            db  "MOVSS      ", 0, "F3 0F 11 /r     ", 0, "xmm2/m64,xmm1       ", 0, "Move scalar dble-prec. float.                                     ", 0, "SSE          ", 0
            db  "MOVSW      ", 0, "A5              ", 0, "n/a                 ", 0, "Move word from string to string.                                  ", 0, "86/386       ", 0
            db  "MOVSD      ", 0, "A5              ", 0, "n/a                 ", 0, "Move DW from string to string.                                    ", 0, "86/386       ", 0
            db  "MOVSX      ", 0, "0F BE /r        ", 0, "reg,r/m8            ", 0, "Move byte to word with sign-extension.                            ", 0, "386          ", 0
            db  "MOVSX      ", 0, "0F BF /r        ", 0, "reg32,r/m16         ", 0, "Move word to doubleword, sign-extension.                          ", 0, "386          ", 0
            db  "MOVUPD     ", 0, "66 0F 10 /r     ", 0, "xmm1, xmm2/m128     ", 0, "Move unaligned packed dble-prec. floats.                          ", 0, "SSE2         ", 0
            db  "MOVUPD     ", 0, "66 0F 11 /r     ", 0, "xmm2/m128, xmm      ", 0, "Move unaligned packed dble-prec. floats.                          ", 0, "SSE2         ", 0
            db  "MOVUPS     ", 0, "0F 10 /r        ", 0, "xmm1,xmm2/m128      ", 0, "Move unaligned packed sngle-prec. floats.                         ", 0, "SSE          ", 0
            db  "MOVUPS     ", 0, "0F 11 /r        ", 0, "xmm2/m128,xmm1      ", 0, "Move unaligned packed sngle-prec. floats.                         ", 0, "SSE          ", 0
            db  "MOVZX      ", 0, "0F B6 /r        ", 0, "reg,r/m8            ", 0, "Move byte to word with zero-extension.                            ", 0, "386          ", 0
            db  "MOVZX      ", 0, "0F B7 /r        ", 0, "reg32,r/m16         ", 0, "Move word to doubleword with zero-extension.                      ", 0, "386          ", 0
            db  "MUL        ", 0, "F7 /4           ", 0, "r/m                 ", 0, "Unsigned multiply operand by eAX.                                 ", 0, "86/386       ", 0
            db  "MUL        ", 0, "F6 /4           ", 0, "r/m8                ", 0, "Unsigned multiply operand by AL.                                  ", 0, "86           ", 0
            db  "MULPD      ", 0, "66 0F 59 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Multiply packed dble-prec. floats.                                ", 0, "SSE2         ", 0
            db  "MULPS      ", 0, "0F 59 /r        ", 0, "xmm1,xmm2/m128      ", 0, "Multiply packed sngle-prec. floats.                               ", 0, "SSE          ", 0
            db  "MULSD      ", 0, "F2 0F 59 /r     ", 0, "xmm1,xmm2/m64       ", 0, "Multiply scalar dble-prec. floats.                                ", 0, "SSE2         ", 0
            db  "MULSS      ", 0, "F3 0F 59 /r     ", 0, "xmm1,xmm2/m32       ", 0, "Multiply scalar dble-prec. floats.                                ", 0, "SSE          ", 0
            db  "MWAIT      ", 0, "0F 01 C9        ", 0, "n/a                 ", 0, "Monitor wait hint.                                                ", 0, "SSE3         ", 0
            db  "NEG        ", 0, "F7 /3           ", 0, "r/m                 ", 0, "Twos complement negation.                                        ", 0, "86/386       ", 0
            db  "NEG        ", 0, "F6 /3           ", 0, "r/m8                ", 0, "Twos complement negation.                                        ", 0, "86           ", 0
            db  "NOP        ", 0, "90              ", 0, "n/a                 ", 0, "No operation                                                      ", 0, "86           ", 0
            db  "NOT        ", 0, "F7 /2           ", 0, "r/m                 ", 0, "Oness complement negation.                                       ", 0, "86/386       ", 0
            db  "NOT        ", 0, "F6 /2           ", 0, "r/m8                ", 0, "Oness complement negation.                                       ", 0, "86           ", 0
            db  "OR         ", 0, "0C ib           ", 0, "AL,imm8             ", 0, "Bitwise OR of two integers.                                       ", 0, "86           ", 0
            db  "OR         ", 0, "0D iv           ", 0, "eAX,imm             ", 0, "Bitwise OR of two integers.                                       ", 0, "86/386       ", 0
            db  "OR         ", 0, "81 /1 iv        ", 0, "r/m,imm             ", 0, "Bitwise OR of two integers.                                       ", 0, "86/386       ", 0
            db  "OR         ", 0, "83 /1 ib        ", 0, "r/m,imm8            ", 0, "Bitwise OR of two integers.                                       ", 0, "86/386       ", 0
            db  "OR         ", 0, "09 /r           ", 0, "r/m,reg             ", 0, "Bitwise OR of two integers.                                       ", 0, "86/386       ", 0
            db  "OR         ", 0, "80 /1 ib        ", 0, "r/m8,imm8           ", 0, "Bitwise OR of two integers.                                       ", 0, "86           ", 0
            db  "OR         ", 0, "82 /1 ib        ", 0, "r/m8,imm8           ", 0, "Bitwise OR of two integers.                                       ", 0, "86           ", 0
            db  "OR         ", 0, "08 /r           ", 0, "r/m8,reg8           ", 0, "Bitwise OR of two integers.                                       ", 0, "86           ", 0
            db  "OR         ", 0, "0B /r           ", 0, "reg,r/m             ", 0, "Bitwise OR of two integers.                                       ", 0, "86/386       ", 0
            db  "OR         ", 0, "0A /r           ", 0, "reg8,r/m8           ", 0, "Bitwise OR of two integers.                                       ", 0, "86           ", 0
            db  "ORPD       ", 0, "66 0F 56 /r     ", 0, "xmm1, xmm2/m128     ", 0, "Bitwise OR of packed dble-prec. floats.                           ", 0, "SSE2         ", 0
            db  "ORPS       ", 0, "0F 56 /r        ", 0, "xmm1,xmm2/m128      ", 0, "Bitwise OR of packed sngle-prec. floats.                          ", 0, "SSE          ", 0
            db  "OUT        ", 0, "EE              ", 0, "DX,AL               ", 0, "Output AL to I/O port.                                            ", 0, "86           ", 0
            db  "OUT        ", 0, "EF              ", 0, "DX,eAX              ", 0, "Output eAX to I/O port.                                           ", 0, "86,386       ", 0
            db  "OUT        ", 0, "E6 ib           ", 0, "imm8,AL             ", 0, "Output AL to I/O port.                                            ", 0, "86           ", 0
            db  "OUT        ", 0, "E7 ib           ", 0, "imm8,eAX            ", 0, "Output eAX to I/O port.                                           ", 0, "86/386       ", 0
            db  "OUTSB      ", 0, "6E              ", 0, "n/a                 ", 0, "Output string byte to I/O port.                                   ", 0, "186          ", 0
            db  "OUTSW      ", 0, "6F              ", 0, "n/a                 ", 0, "Output string word to I/O port.                                   ", 0, "186/386      ", 0
            db  "OUTSD      ", 0, "6F              ", 0, "n/a                 ", 0, "Output string DW to I/O port.                                     ", 0, "186/386      ", 0
            db  "PACKSSDW   ", 0, "0F 6B /r        ", 0, "mm1,mm2/m64         ", 0, "Pack DWs to words with signed saturation.                         ", 0, "MMX          ", 0
            db  "PACKSSDW   ", 0, "66 0F 6B /r     ", 0, "xmm1,xmm2/m128      ", 0, "Pack DWs to words with signed saturation.                         ", 0, "SSE2         ", 0
            db  "PACKSSWB   ", 0, "0F 63 /r        ", 0, "mm1,mm2/m64         ", 0, "Pack words to bytes with signed saturation.                       ", 0, "MMX          ", 0
            db  "PACKSSWB   ", 0, "66 0F 63 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Pack words to bytes with signed saturation.                       ", 0, "SSE2         ", 0
            db  "PACKUSWB   ", 0, "0F 67 /r        ", 0, "mm1,mm2/m64         ", 0, "Pack words to bytes with unsigned saturation.                     ", 0, "MMX          ", 0
            db  "PACKUSWB   ", 0, "66 0F 67 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Pack words to bytes with unsigned saturation.                     ", 0, "SSE2         ", 0
            db  "PADDB      ", 0, "0F FC /r        ", 0, "mm1,mm2/m64         ", 0, "Add packed byte integers.                                         ", 0, "MMX          ", 0
            db  "PADDB      ", 0, "66 0F FC /r     ", 0, "xmm1,xmm2/m128      ", 0, "Add packed byte integers.                                         ", 0, "SSE2         ", 0
            db  "PADDD      ", 0, "0F FE /r        ", 0, "mm1,mm2/m64         ", 0, "Add packed DW integers.                                           ", 0, "MMX          ", 0
            db  "PADDD      ", 0, "66 0F FE /r     ", 0, "xmm1,xmm2/m128      ", 0, "Add packed DW integers.                                           ", 0, "SSE2         ", 0
            db  "PADDQ      ", 0, "0F D4 /r        ", 0, "mm1,mm2/m64         ", 0, "Add packed qword integers.                                        ", 0, "MMX          ", 0
            db  "PADDQ      ", 0, "66 0F D4 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Add packed qword integers.                                        ", 0, "SSE2         ", 0
            db  "PADDSB     ", 0, "0F EC /r        ", 0, "mm1,mm2/m64         ", 0, "Add packed byte integers with signed saturation.                  ", 0, "MMX          ", 0
            db  "PADDSB     ", 0, "66 0F EC /r     ", 0, "xmm1,xmm2/m128      ", 0, "Add packed byte integers with signed saturation.                  ", 0, "SSE2         ", 0
            db  "PADDSIW    ", 0, "0F 51 /r        ", 0, "mm,r/m64            ", 0, "Add packed words and store to implicit register.                  ", 0, "MMX,CYRYX    ", 0
            db  "PADDSW     ", 0, "0F ED /r        ", 0, "mm1,mm2/m64         ", 0, "Add packed word integers with signed saturation.                  ", 0, "MMX          ", 0
            db  "PADDSW     ", 0, "66 0F ED /r     ", 0, "xmm1,xmm2/m128      ", 0, "Add packed word integers with signed saturation.                  ", 0, "SSE2         ", 0
            db  "PADDUSB    ", 0, "0F DC /r        ", 0, "mm1,mm2/m64         ", 0, "Add packed byte integers with unsigned saturation.                ", 0, "MMX          ", 0
            db  "PADDUSB    ", 0, "66 0F DC /r     ", 0, "xmm1,xmm2/m128      ", 0, "Add packed byte integers with unsigned saturation.                ", 0, "SSE2         ", 0
            db  "PADDUSW    ", 0, "0F DD /r        ", 0, "mm1,mm2/m64         ", 0, "Add packed word integers with unsigned saturation.                ", 0, "MMX          ", 0
            db  "PADDUSW    ", 0, "66 0F DD /r     ", 0, "xmm1,xmm2/m128      ", 0, "Add packed word integers with unsigned saturation.                ", 0, "SSE2         ", 0
            db  "PADDW      ", 0, "0F FD /r        ", 0, "mm1,mm2/m64         ", 0, "Add packed word integers.                                         ", 0, "MMX          ", 0
            db  "PADDW      ", 0, "66 0F FD /r     ", 0, "xmm1,xmm2/m128      ", 0, "Add packed word integers.                                         ", 0, "SSE2         ", 0
            db  "PAND       ", 0, "0F DB /r        ", 0, "mm1,mm2/m64         ", 0, "Bitwise AND of MMX register.                                      ", 0, "MMX          ", 0
            db  "PAND       ", 0, "66 0F DB /r     ", 0, "xmm1,xmm2/m128      ", 0, "Bitwise AND of XMM register.                                      ", 0, "SSE2         ", 0
            db  "PANDN      ", 0, "0F DF /r        ", 0, "mm1,mm2/m64         ", 0, "Bitwise AND NOT of MMX register.                                  ", 0, "MMX          ", 0
            db  "PANDN      ", 0, "66 0F DF /r     ", 0, "xmm1,xmm2/m128      ", 0, "Bitwise AND NOT of XMM register.                                  ", 0, "SSE2         ", 0
            db  "PAUSE      ", 0, "F3 90           ", 0, "n/a                 ", 0, "Hint to processor that improves performance of spin loops.        ", 0, "SSE2         ", 0
            db  "PAVEB      ", 0, "0F 50 /r        ", 0, "mm, r/m64           ", 0, "Average of 8 packed bytes.                                        ", 0, "MMX,CYRIX    ", 0
            db  "PAVGB      ", 0, "0F E0 /r        ", 0, "mm1,mm2/m64         ", 0, "Average of packed byte integers.                                  ", 0, "SSE          ", 0
            db  "PAVGB      ", 0, "66 0F E0 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Average of packed byte integers.                                  ", 0, "SSE2         ", 0
            db  "PAVGUSB    ", 0, "0F 0F /r BF     ", 0, "mm1,mm2/m64         ", 0, "Average of unsigned packed bytes.                                 ", 0, "3DNOW        ", 0
            db  "PAVGW      ", 0, "0F E3 /r        ", 0, "mm1,mm2/m64         ", 0, "Average of packed word integers.                                  ", 0, "SSE          ", 0
            db  "PAVGW      ", 0, "66 0F E3 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Average of packed word integers.                                  ", 0, "SSE2         ", 0
            db  "PCMPEQB    ", 0, "0F 74 /r        ", 0, "mm1,mm2/m64         ", 0, "Compare packed bytes for equality.                                ", 0, "MMX          ", 0
            db  "PCMPEQB    ", 0, "66 0F 74 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Compare packed bytes for equality.                                ", 0, "SSE2         ", 0
            db  "PCMPEQD    ", 0, "0F 76 /r        ", 0, "mm1,mm2/m64         ", 0, "Compare packed DWs for equality.                                  ", 0, "MMX          ", 0
            db  "PCMPEQD    ", 0, "66 0F 76 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Compare packed DWs for equality.                                  ", 0, "SSE2         ", 0
            db  "PCMPEQW    ", 0, "0F 75 /r        ", 0, "mm1,mm2/m64         ", 0, "Compare packed words for equality.                                ", 0, "MMX          ", 0
            db  "PCMPEQW    ", 0, "66 0F 75 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Compare packed words for equality.                                ", 0, "SSE2         ", 0
            db  "PCMPGTB    ", 0, "0F 64 /r        ", 0, "mm1,mm2/m64         ", 0, "Compare packed bytes for greater-than.                            ", 0, "MMX          ", 0
            db  "PCMPGTB    ", 0, "66 0F 64 /r     ", 0, "xmm1, xmm2/m128     ", 0, "Compare packed bytes for greater-than.                            ", 0, "SSE2         ", 0
            db  "PCMPGTD    ", 0, "0F 66 /r        ", 0, "mm1,mm2/m64         ", 0, "Compare packed DWs for greater-than.                              ", 0, "MMX          ", 0
            db  "PCMPGTD    ", 0, "66 0F 66 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Compare packed DWs for greater-than.                              ", 0, "SSE2         ", 0
            db  "PCMPGTW    ", 0, "0F 65 /r        ", 0, "mm1,mm2/m64         ", 0, "Compare packed words for greater-than.                            ", 0, "MMX          ", 0
            db  "PCMPGTW    ", 0, "66 0F 65 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Compare packed words for greater-than.                            ", 0, "SSE2         ", 0
            db  "PDISTIB    ", 0, "0F 54 /r        ", 0, "mm,m64              ", 0, "Packed distance and accumulate with implied register.             ", 0, "MMX,CYRIX    ", 0
            db  "PEXTRW     ", 0, "0F C5 /r ib     ", 0, "reg32,mm,imm8       ", 0, "Extract the word from MMX register.                               ", 0, "SSE          ", 0
            db  "PEXTRW     ", 0, "66 0F C5 /r ib  ", 0, "reg32,xmm,imm8      ", 0, "Extract the word from XMM register.                               ", 0, "SSE2         ", 0
            db  "PF2ID      ", 0, "0F 0F /r 1D     ", 0, "mm1,mm2/m64         ", 0, "Convert packed sngle-prec. floats to DWs.                         ", 0, "3DNOW        ", 0
            db  "PF2IW      ", 0, "0F 0F /r 1C     ", 0, "mm1,mm2/m64         ", 0, "Convert packed sngle-prec. floats to words.                       ", 0, "3DNOW        ", 0
            db  "PFACC      ", 0, "0F 0F /r AE     ", 0, "mm1,mm2/m64         ", 0, "Accumulate packed sngle-prec. floats.                             ", 0, "3DNOW        ", 0
            db  "PFADD      ", 0, "0F 0F /r 9E     ", 0, "mm1,mm2/m64         ", 0, "Add packed sngle-prec. floats.                                    ", 0, "3DNOW        ", 0
            db  "PFCMPEQ    ", 0, "0F 0F /r B0     ", 0, "mm1,mm2/m64         ", 0, "Compare packed sngle-prec. floats for equality.                   ", 0, "3DNOW        ", 0
            db  "PFCMPGE    ", 0, "0F 0F /r 90     ", 0, "mm1,mm2/m64         ", 0, "Compare packed sngle-prec. floats for greater-than/equal.         ", 0, "3DNOW        ", 0
            db  "PFCMPGT    ", 0, "0F 0F /r A0     ", 0, "mm1,mm2/m64         ", 0, "Compare packed sngle-prec. floats for greater-than.               ", 0, "3DNOW        ", 0
            db  "PFMAX      ", 0, "0F 0F /r A4     ", 0, "mm1,mm2/m64         ", 0, "Maximum of packed sngle-prec. floats.                             ", 0, "3DNOW        ", 0
            db  "PFMIN      ", 0, "0F 0F /r 94     ", 0, "mm1,mm2/m64         ", 0, "Minimum of packed sngle-prec. floats.                             ", 0, "3DNOW        ", 0
            db  "PFMUL      ", 0, "0F 0F /r B4     ", 0, "mm1,mm2/m64         ", 0, "Multiply packed sngle-prec. floats.                               ", 0, "3DNOW        ", 0
            db  "PFNACC     ", 0, "0F 0F /r 8A     ", 0, "mm1,mm2/m64         ", 0, "Negative accumulate packed sngle-prec. floats.                    ", 0, "3DNOW        ", 0
            db  "PFPNACC    ", 0, "0F 0F /r 8E     ", 0, "mm1,mm2/m64         ", 0, "Mixed accumulate packed sngle-prec. floats.                       ", 0, "3DNOW        ", 0
            db  "PFRCP      ", 0, "0F 0F /r 96     ", 0, "mm1,mm2/m64         ", 0, "Reciprocal approximation of packed sngle-prec. floats.            ", 0, "3DNOW        ", 0
            db  "PFRCPIT1   ", 0, "0F 0F /r A6     ", 0, "mm1,mm2/m64         ", 0, "Reciprocal of packed sngle-prec. float, 1st step.                 ", 0, "3DNOW        ", 0
            db  "PFRCPIT2   ", 0, "0F 0F /r B6     ", 0, "mm1,mm2/m64         ", 0, "Reciprocal of packed sngle-prec. float, 2nd step.                 ", 0, "3DNOW        ", 0
            db  "PFRSQIT1   ", 0, "0F 0F /r A7     ", 0, "mm1,mm2/m64         ", 0, "Reciprocal of packed sngle-prec. float sq. root, step 1.          ", 0, "3DNOW        ", 0
            db  "PFRSQRT    ", 0, "0F 0F /r 97     ", 0, "mm1,mm2/m64         ", 0, "Reciprocal of packed sngle-prec. float sq. root.                  ", 0, "3DNOW        ", 0
            db  "PFSUB      ", 0, "0F 0F /r 9A     ", 0, "mm1,mm2/m64         ", 0, "Subtract packed sngle-prec. floats.                               ", 0, "3DNOW        ", 0
            db  "PFSUBR     ", 0, "0F 0F /r AA     ", 0, "mm1,mm2/m64         ", 0, "Reverse subtract packed sngle-prec. floats.                       ", 0, "3DNOW        ", 0
            db  "PI2FD      ", 0, "0F 0F /r 0D     ", 0, "mm1,mm2/m64         ", 0, "Converts DWs to packed sngle-prec. floats.                        ", 0, "3DNOW        ", 0
            db  "PI2FD      ", 0, "0F 0F /r 0C     ", 0, "mm1,mm2/m64         ", 0, "Converts words to packed sngle-prec. floats.                      ", 0, "3DNOW        ", 0
            db  "PINSRW     ", 0, "0F C4 /r ib     ", 0, "mm,reg32/m16,imm8   ", 0, "Insert word into MMX register.                                    ", 0, "SSE          ", 0
            db  "PINSRW     ", 0, "66 0F C4 /r ib  ", 0, "xmm,reg32/m16,imm8  ", 0, "Insert word into XMM register.                                    ", 0, "SSE2         ", 0
            db  "PMACHRIW   ", 0, "0F 5E /r        ", 0, "mm,m64              ", 0, "Packed multiply and accumulate with rounding.                     ", 0, "MMX,CYRIX    ", 0
            db  "PMADDWD    ", 0, "0F F5 /r        ", 0, "mm1,mm2/m64         ", 0, "Multiply and add packed integers.                                 ", 0, "MMX          ", 0
            db  "PMADDWD    ", 0, "66 0F F5 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Multiply and add packed integers.                                 ", 0, "SSE2         ", 0
            db  "PMAGW      ", 0, "0F 52 /r        ", 0, "mm1,mm2/m64         ", 0, "Packed magnitude of 4 words.                                      ", 0, "MMX,CYRIX    ", 0
            db  "PMAXSW     ", 0, "0F EE /r        ", 0, "mm1,mm2/m64         ", 0, "Maximum of packed signed word integers.                           ", 0, "SSE          ", 0
            db  "PMAXSW     ", 0, "66 0F EE /r     ", 0, "xmm1,xmm2/m128      ", 0, "Maximum of packed signed word integers.                           ", 0, "SSE2         ", 0
            db  "PMAXUB     ", 0, "0F DE /r        ", 0, "mm1,mm2/m64         ", 0, "Maximum of packed unsigned byte integers.                         ", 0, "SSE          ", 0
            db  "PMAXUB     ", 0, "66 0F DE /r     ", 0, "xmm1,xmm2/m128      ", 0, "Maximum of packed unsigned byte integers.                         ", 0, "SSE2         ", 0
            db  "PMINSW     ", 0, "0F EA /r        ", 0, "mm1,mm2/m64         ", 0, "Minimum of packed signed word integers.                           ", 0, "SSE          ", 0
            db  "PMINSW     ", 0, "66 0F EA /r     ", 0, "xmm1,xmm2/m128      ", 0, "Minimum of packed signed word integers.                           ", 0, "SSE2         ", 0
            db  "PMINUB     ", 0, "0F DA /r        ", 0, "mm1,mm2/m64         ", 0, "Minimum of packed unsigned byte integers.                         ", 0, "SSE          ", 0
            db  "PMINUB     ", 0, "66 0F DA /r     ", 0, "xmm1,xmm2/m128      ", 0, "Minimum of packed unsigned byte integers.                         ", 0, "SSE2         ", 0
            db  "PMOVMSKB   ", 0, "0F D7 /r        ", 0, "reg32,mm            ", 0, "Move byte mask to register.                                       ", 0, "SSE          ", 0
            db  "PMOVMSKB   ", 0, "66 0F D7 /r     ", 0, "reg32,xmm           ", 0, "Move byte mask to register.                                       ", 0, "SSE2         ", 0
            db  "PMULHRIW   ", 0, "0F 5D /r        ", 0, "mm1,mm2/m64         ", 0, "Multiply packed words and round to implicit register.             ", 0, "MMX,CYRIX    ", 0
            db  "PMULHRW    ", 0, "0F 0F /r B7     ", 0, "mm1,mm2/m64         ", 0, "Multiply packed words, round and store high word.                 ", 0, "3DNOW        ", 0
            db  "PMULHRWC   ", 0, "0F 59 /r        ", 0, "mm1,mm2/m64         ", 0, "Multiply packed words, round and store high word.                 ", 0, "MMX,CYRIX    ", 0
            db  "PMULHUW    ", 0, "0F E4 /r        ", 0, "mm1,mm2/m64         ", 0, "Multiply packed unsigned words and store high word.               ", 0, "SSE          ", 0
            db  "PMULHUW    ", 0, "66 0F E4 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Multiply packed unsigned words and store high word.               ", 0, "SSE2         ", 0
            db  "PMULHW     ", 0, "0F E5 /r        ", 0, "mm1,mm2/m64         ", 0, "Multiply packed signed words and store high word.                 ", 0, "MMX          ", 0
            db  "PMULHW     ", 0, "66 0F E5 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Multiply packed signed words and store high word.                 ", 0, "SSE2         ", 0
            db  "PMULLW     ", 0, "0F D5 /r        ", 0, "mm1,mm2/m64         ", 0, "Multiply packed signed words and store low word.                  ", 0, "MMX          ", 0
            db  "PMULLW     ", 0, "66 0F D5 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Multiply packed signed words and store low word.                  ", 0, "SSE2         ", 0
            db  "PMULUDQ    ", 0, "0F F4 /r        ", 0, "mm1,mm2/m64         ", 0, "Multiply packed unsigned DWs.                                     ", 0, "SSE2         ", 0
            db  "PMULUDQ    ", 0, "66 OF F4 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Multiply packed unsigned DWs.                                     ", 0, "SSE2         ", 0
            db  "PMVGEZB    ", 0, "0F 5B /r        ", 0, "mm,m64              ", 0, "Packed move if greater-than-or-equal.                             ", 0, "MMX,CYRIX    ", 0
            db  "PMVLZB     ", 0, "0F 5A /r        ", 0, "mm,m64              ", 0, "Packed move if less-than.                                         ", 0, "MMX,CYRIX    ", 0
            db  "PMVZB      ", 0, "0F 58 /r        ", 0, "mm,m64              ", 0, "Packed move if not-equal.                                         ", 0, "MMX,CYRIX    ", 0
            db  "POP        ", 0, "0F              ", 0, "CS                  ", 0, "Pop data to CS (only on some 8086s).                              ", 0, "86,UNDOC     ", 0
            db  "POP        ", 0, "1F              ", 0, "DS                  ", 0, "Pop data to DS.                                                   ", 0, "86           ", 0
            db  "POP        ", 0, "58              ", 0, "eAX                 ", 0, "Pop data to register.                                             ", 0, "86/386       ", 0
            db  "POP        ", 0, "5D              ", 0, "eBP                 ", 0, "Pop data to register.                                             ", 0, "86/386       ", 0
            db  "POP        ", 0, "5B              ", 0, "eBX                 ", 0, "Pop data to register.                                             ", 0, "86/386       ", 0
            db  "POP        ", 0, "59              ", 0, "eCX                 ", 0, "Pop data to register.                                             ", 0, "86/386       ", 0
            db  "POP        ", 0, "5F              ", 0, "eDI                 ", 0, "Pop data to register.                                             ", 0, "86/386       ", 0
            db  "POP        ", 0, "5A              ", 0, "eDX                 ", 0, "Pop data to register.                                             ", 0, "86/386       ", 0
            db  "POP        ", 0, "07              ", 0, "ES                  ", 0, "Pop data to ES.                                                   ", 0, "86           ", 0
            db  "POP        ", 0, "5E              ", 0, "eSI                 ", 0, "Pop data to register.                                             ", 0, "86/386       ", 0
            db  "POP        ", 0, "5C              ", 0, "eSP                 ", 0, "Pop data to register.                                             ", 0, "86/386       ", 0
            db  "POP        ", 0, "0F A1           ", 0, "FS                  ", 0, "Pop data to FS.                                                   ", 0, "386          ", 0
            db  "POP        ", 0, "0F A9           ", 0, "GS                  ", 0, "Pop data to GS.                                                   ", 0, "386          ", 0
            db  "POP        ", 0, "8F /0           ", 0, "r/m                 ", 0, "Pop data to destination.                                          ", 0, "86,386       ", 0
            db  "POP        ", 0, "17              ", 0, "SS                  ", 0, "Pop data to SS.                                                   ", 0, "SS           ", 0
            db  "POPA       ", 0, "61              ", 0, "n/a                 ", 0, "Pop all General-purpose registers.                                ", 0, "186/386      ", 0
            db  "POPAD      ", 0, "61              ", 0, "n/a                 ", 0, "Pop all General-purpose registers.                                ", 0, "186/386      ", 0
            db  "POPF       ", 0, "9D              ", 0, "n/a                 ", 0, "Pop CPU flags.                                                    ", 0, "186/386      ", 0
            db  "POPFD      ", 0, "9D              ", 0, "n/a                 ", 0, "Pop CPU flags.                                                    ", 0, "186/386      ", 0
            db  "POR        ", 0, "0F EB /r        ", 0, "mm1,mm2/m64         ", 0, "Bitwise OR of MMX register.                                       ", 0, "MMX          ", 0
            db  "POR        ", 0, "66 0F EB /r     ", 0, "xmm1,xmm2/m128      ", 0, "Bitwise OR of XMM register.                                       ", 0, "SSE2         ", 0
            db  "PREFETCH   ", 0, "0F 0D /0        ", 0, "m8                  ", 0, "Prefetch data into caches.                                        ", 0, "3DNOW        ", 0
            db  "PREFETCHNTA", 0, "0F 18 /mem|0    ", 0, "m8                  ", 0, "Prefetch non-temporal data into caches.                           ", 0, "SSE,ATHLON   ", 0
            db  "PREFETCHT0 ", 0, "0F 18 /mem|1    ", 0, "m8                  ", 0, "Prefetch temporal data into caches.                               ", 0, "SSE,ATHLON   ", 0
            db  "PREFETCHT1 ", 0, "0F 18 /mem|2    ", 0, "m8                  ", 0, "Prefetch temporal data into 1st level cache.                      ", 0, "SSE,ATHLON   ", 0
            db  "PREFETCHT2 ", 0, "0F 18 /mem|3    ", 0, "m8                  ", 0, "Prefetch temporal data into 1st level cache.                      ", 0, "SSE,ATHLON   ", 0
            db  "PREFETCHW  ", 0, "0F 0D /1        ", 0, "m8                  ", 0, "Prefetch data into caches.                                        ", 0, "3DNOW        ", 0
            db  "PSADBW     ", 0, "0F F6 /r        ", 0, "mm1,mm2/m64         ", 0, "Compute sum of absolute differences.                              ", 0, "SSE2         ", 0
            db  "PSADBW     ", 0, "66 0F F6 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Compute sum of absolute differences.                              ", 0, "SSE2         ", 0
            db  "PSHUFD     ", 0, "66 0F 70 /r ib  ", 0, "xmm1,xmm2/m128,imm8 ", 0, "Shuffle packed DWs.                                               ", 0, "SSE2         ", 0
            db  "PSHUFHW    ", 0, "F3 0F 70 /r ib  ", 0, "xmm1,xmm2/m128,imm8 ", 0, "Shuffle packed high words.                                        ", 0, "SSE2         ", 0
            db  "PSHUFLW    ", 0, "F2 0F 70 /r ib  ", 0, "xmm1,xmm2/m128,imm8 ", 0, "Shuffle packed low words.                                         ", 0, "SSE2         ", 0
            db  "PSHUFW     ", 0, "0F 70 /r ib     ", 0, "mm1,mm2/m64,imm8    ", 0, "Shuffle packed words.                                             ", 0, "SSE          ", 0
            db  "PSLLD      ", 0, "0F 72 /3|6 ib   ", 0, "mm,imm8             ", 0, "Left logical shift of packed DWs.                                 ", 0, "MMX          ", 0
            db  "PSLLD      ", 0, "0F F2 /r        ", 0, "mm1,mm2/m64         ", 0, "Left logical shift of packed DWs.                                 ", 0, "MMX          ", 0
            db  "PSLLD      ", 0, "66 0F 72 /3|6 ib", 0, "xmm,imm8            ", 0, "Left logical shift of packed DWs.                                 ", 0, "SSE2         ", 0
            db  "PSLLD      ", 0, "66 0F F2 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Left logical shift of packed DWs.                                 ", 0, "SSE2         ", 0
            db  "PSLLDQ     ", 0, "66 0F 73 /3|7 ib", 0, "xmm1,imm8           ", 0, "Left logical shift of double qwords.                              ", 0, "SSE2         ", 0
            db  "PSLLQ      ", 0, "0F 73 /3|6 ib   ", 0, "mm,imm8             ", 0, "Left logical shift of packed qwords.                              ", 0, "MMX          ", 0
            db  "PSLLQ      ", 0, "0F F3 /r        ", 0, "mm1,mm2/m64         ", 0, "Left logical shift of packed qwords.                              ", 0, "MMX          ", 0
            db  "PSLLQ      ", 0, "66 0F 73 /3|6 ib", 0, "xmm,imm8            ", 0, "Left logical shift of packed qwords.                              ", 0, "SSE2         ", 0
            db  "PSLLQ      ", 0, "66 0F F3 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Left logical shift of packed qwords.                              ", 0, "SSE2         ", 0
            db  "PSLLW      ", 0, "0F 71 /3|6 ib   ", 0, "mm,imm8             ", 0, "Left logical shift of packed words.                               ", 0, "MMX          ", 0
            db  "PSLLW      ", 0, "0F F1 /r        ", 0, "mm1,mm2/m64         ", 0, "Left logical shift of packed words.                               ", 0, "MMX          ", 0
            db  "PSLLW      ", 0, "66 0F 71 /3|6 ib", 0, "xmm,imm8            ", 0, "Left logical shift of packed words.                               ", 0, "SSE2         ", 0
            db  "PSLLW      ", 0, "66 0F F1 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Left logical shift of packed words.                               ", 0, "SSE2         ", 0
            db  "PSRAD      ", 0, "0F 72 /3|4 ib   ", 0, "mm,imm8             ", 0, "Right arithmetic shift of packed DWs.                             ", 0, "MMX          ", 0
            db  "PSRAD      ", 0, "0F E2 /r        ", 0, "mm1,mm2/m64         ", 0, "Right arithmetic shift of packed DWs.                             ", 0, "MMX          ", 0
            db  "PSRAD      ", 0, "66 0F 72 /3|4 ib", 0, "xmm,imm8            ", 0, "Right arithmetic shift of packed DWs.                             ", 0, "SSE2         ", 0
            db  "PSRAD      ", 0, "66 0F E2 /r     ", 0, "xmm1, xmm2/m128     ", 0, "Right arithmetic shift of packed DWs.                             ", 0, "SSE2         ", 0
            db  "PSRAW      ", 0, "0F 71 /4 ib     ", 0, "mm,imm8             ", 0, "Right arithmetic shift of packed words.                           ", 0, "MMX          ", 0
            db  "PSRAW      ", 0, "0F E1 /r        ", 0, "mm1,mm2/m64         ", 0, "Right arithmetic shift of packed words.                           ", 0, "MMX          ", 0
            db  "PSRAW      ", 0, "66 0F 71 /4 ib  ", 0, "xmm,imm8            ", 0, "Right arithmetic shift of packed words.                           ", 0, "SSE2         ", 0
            db  "PSRAW      ", 0, "66 0F E1 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Right arithmetic shift of packed words.                           ", 0, "SSE2         ", 0
            db  "PSRLD      ", 0, "0F 72 /3|2 ib   ", 0, "mm,imm8             ", 0, "Right logical shift of packed DWs.                                ", 0, "MMX          ", 0
            db  "PSRLD      ", 0, "0F D2 /r        ", 0, "mm1,mm2/m64         ", 0, "Right logical shift of packed DWs.                                ", 0, "MMX          ", 0
            db  "PSRLD      ", 0, "66 0F 72 /3|2 ib", 0, "xmm,imm8            ", 0, "Right logical shift of packed DWs.                                ", 0, "SSE2         ", 0
            db  "PSRLD      ", 0, "66 0F D2 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Right logical shift of packed DWs.                                ", 0, "SSE2         ", 0
            db  "PSRLDQ     ", 0, "66 0F 73 /3|3 ib", 0, "xmm,imm8            ", 0, "Right logical shift of double qword.                              ", 0, "SSE2         ", 0
            db  "PSRLQ      ", 0, "0F 73 /2 ib     ", 0, "mm,imm8             ", 0, "Right logical shift of packed qwords.                             ", 0, "MMX          ", 0
            db  "PSRLQ      ", 0, "0F D3 /r        ", 0, "mm1,mm2/m64         ", 0, "Right logical shift of packed qwords.                             ", 0, "MMX          ", 0
            db  "PSRLQ      ", 0, "66 0F 73 /2 ib  ", 0, "xmm,imm8            ", 0, "Right logical shift of packed qwords.                             ", 0, "SSE2         ", 0
            db  "PSRLQ      ", 0, "66 0F D3 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Right logical shift of packed qwords.                             ", 0, "SSE2         ", 0
            db  "PSRLW      ", 0, "0F 71 /3|2 ib   ", 0, "mm,imm8             ", 0, "Right logical shift of packed words.                              ", 0, "MMX          ", 0
            db  "PSRLW      ", 0, "0F D1 /r        ", 0, "mm1,mm2/m64         ", 0, "Right logical shift of packed words.                              ", 0, "MMX          ", 0
            db  "PSRLW      ", 0, "66 0F 71 /3|2 ib", 0, "xmm,imm8            ", 0, "Right logical shift of packed words.                              ", 0, "SSE2         ", 0
            db  "PSRLW      ", 0, "66 0F D1 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Right logical shift of packed words.                              ", 0, "SSE2         ", 0
            db  "PSUBB      ", 0, "0F F8 /r        ", 0, "mm1,mm2/m64         ", 0, "Subtract packed byte integers.                                    ", 0, "MMX          ", 0
            db  "PSUBB      ", 0, "66 0F F8 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Subtract packed byte integers.                                    ", 0, "SSE2         ", 0
            db  "PSUBD      ", 0, "0F FA /r        ", 0, "mm1,mm2/m64         ", 0, "Subtract packed DW integers.                                      ", 0, "MMX          ", 0
            db  "PSUBD      ", 0, "66 0F FA /r     ", 0, "xmm1,xmm2/m128      ", 0, "Subtract packed DW integers.                                      ", 0, "SSE2         ", 0
            db  "PSUBQ      ", 0, "0F FB /r        ", 0, "mm1,mm2/m64         ", 0, "Subtract packed qword integers.                                   ", 0, "MMX          ", 0
            db  "PSUBQ      ", 0, "66 0F FB /r     ", 0, "xmm1,xmm2/m128      ", 0, "Subtract packed qword integers.                                   ", 0, "SSE2         ", 0
            db  "PSUBSB     ", 0, "0F E8 /r        ", 0, "mm1,mm2/m64         ", 0, "Subtract packed signed byte integers.                             ", 0, "MMX          ", 0
            db  "PSUBSB     ", 0, "66 0F E8 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Subtract packed signed byte integers.                             ", 0, "SSE2         ", 0
            db  "PSUBSIW    ", 0, "0F 55 /r        ", 0, "mm1,mm2/m64         ", 0, "Subtract packed words and store to implicit register.             ", 0, "MMX,CYRIX    ", 0
            db  "PSUBSW     ", 0, "0F E9 /r        ", 0, "mm1,mm2/m64         ", 0, "Subtract packed signed word integers.                             ", 0, "MMX          ", 0
            db  "PSUBSW     ", 0, "66 0F E9 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Subtract packed signed word integers.                             ", 0, "SSE2         ", 0
            db  "PSUBUSB    ", 0, "0F D8 /r        ", 0, "mm1,mm2/m64         ", 0, "Subtract packed unsigned byte integers.                           ", 0, "MMX          ", 0
            db  "PSUBUSB    ", 0, "66 0F D8 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Subtract packed unsigned byte integers.                           ", 0, "SSE2         ", 0
            db  "PSUBUSW    ", 0, "0F D9 /r        ", 0, "mm1,mm2/m64         ", 0, "Subtract packed unsigned word integers.                           ", 0, "MMX          ", 0
            db  "PSUBUSW    ", 0, "66 0F D9 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Subtract packed unsigned word integers.                           ", 0, "SSE2         ", 0
            db  "PSUBW      ", 0, "0F F9 /r        ", 0, "mm1,mm2/m64         ", 0, "Subtract packed word integers.                                    ", 0, "MMX          ", 0
            db  "PSUBW      ", 0, "66 0F F9 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Subtract packed word integers.                                    ", 0, "SSE2         ", 0
            db  "PSWAPW     ", 0, "0F 0F /r BB     ", 0, "mm1,mm2/m64         ", 0, "Swap packed data.                                                 ", 0, "3DNOW        ", 0
            db  "PSWAPD     ", 0, "0F 0F /r BB     ", 0, "mm1,mm2/m64         ", 0, "Swap packed data.                                                 ", 0, "3DNOW        ", 0
            db  "PUNPCKHBW  ", 0, "0F 68 /r        ", 0, "mm1,mm2/m64         ", 0, "Unpack and interleave high-order bytes.                           ", 0, "MMX          ", 0
            db  "PUNPCKHBW  ", 0, "66 0F 68 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Unpack and interleave high-order bytes.                           ", 0, "SSE2         ", 0
            db  "PUNPCKHDQ  ", 0, "0F 6A /r        ", 0, "mm1,mm2/m64         ", 0, "Unpack and interleave high-order DWs.                             ", 0, "MMX          ", 0
            db  "PUNPCKHDQ  ", 0, "66 0F 6A /r     ", 0, "xmm1,xmm2/m128      ", 0, "Unpack and interleave high-order DWs.                             ", 0, "SSE2         ", 0
            db  "PUNPCKHQDQ ", 0, "66 0F 6D /r     ", 0, "xmm1,xmm2/m128      ", 0, "Unpack and interleave high-order qwords.                          ", 0, "SSE2         ", 0
            db  "PUNPCKHWD  ", 0, "0F 69 /r        ", 0, "mm1,mm2/m64         ", 0, "Unpack and interleave high-order words.                           ", 0, "MMX          ", 0
            db  "PUNPCKHWD  ", 0, "66 0F 69 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Unpack and interleave high-order words.                           ", 0, "SSE2         ", 0
            db  "PUNPCKLBW  ", 0, "0F 60 /r        ", 0, "mm1,mm2/m32         ", 0, "Unpack and interleave low-order bytes.                            ", 0, "MMX          ", 0
            db  "PUNPCKLBW  ", 0, "66 0F 60 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Unpack and interleave low-order bytes.                            ", 0, "SSE2         ", 0
            db  "PUNPCKLDQ  ", 0, "0F 62 /r        ", 0, "mm1,mm2/m32         ", 0, "Unpack and interleave low-order DWs.                              ", 0, "MMX          ", 0
            db  "PUNPCKLDQ  ", 0, "66 0F 62 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Unpack and interleave low-order DWs.                              ", 0, "SSE2         ", 0
            db  "PUNPCKLQDQ ", 0, "66 0F 6C /r     ", 0, "xmm1,xmm2/m128      ", 0, "Unpack and interleave low-order qwords.                           ", 0, "SSE2         ", 0
            db  "PUNPCKLWD  ", 0, "0F 61 /r        ", 0, "mm1,mm2/m32         ", 0, "Unpack and interleave low-order words.                            ", 0, "MMX          ", 0
            db  "PUNPCKLWD  ", 0, "66 0F 61 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Unpack and interleave low-order words.                            ", 0, "SSE2         ", 0
            db  "PUSH       ", 0, "0E              ", 0, "CS                  ", 0, "Push CS onto the stack.                                           ", 0, "86           ", 0
            db  "PUSH       ", 0, "1E              ", 0, "DS                  ", 0, "Push DS onto the stack.                                           ", 0, "86           ", 0
            db  "PUSH       ", 0, "50              ", 0, "eAX                 ", 0, "Push register onto the stack.                                     ", 0, "86/386       ", 0
            db  "PUSH       ", 0, "55              ", 0, "eBP                 ", 0, "Push register onto the stack.                                     ", 0, "86/386       ", 0
            db  "PUSH       ", 0, "53              ", 0, "eBX                 ", 0, "Push register onto the stack.                                     ", 0, "86/386       ", 0
            db  "PUSH       ", 0, "51              ", 0, "eCX                 ", 0, "Push register onto the stack.                                     ", 0, "86/386       ", 0
            db  "PUSH       ", 0, "57              ", 0, "eDI                 ", 0, "Push register onto the stack.                                     ", 0, "86/386       ", 0
            db  "PUSH       ", 0, "52              ", 0, "eDX                 ", 0, "Push register onto the stack.                                     ", 0, "86/386       ", 0
            db  "PUSH       ", 0, "06              ", 0, "ES                  ", 0, "Push ES onto the stack.                                           ", 0, "86           ", 0
            db  "PUSH       ", 0, "56              ", 0, "eSI                 ", 0, "Push register onto the stack.                                     ", 0, "86/386       ", 0
            db  "PUSH       ", 0, "54              ", 0, "eSP                 ", 0, "Push register onto the stack.                                     ", 0, "86/386       ", 0
            db  "PUSH       ", 0, "0F A0           ", 0, "FS                  ", 0, "Push FS onto the stack.                                           ", 0, "386          ", 0
            db  "PUSH       ", 0, "0F A8           ", 0, "GS                  ", 0, "Push GS onto the stack.                                           ", 0, "386          ", 0
            db  "PUSH       ", 0, "68              ", 0, "imm                 ", 0, "Push immmediate word/DW onto the stack.                           ", 0, "286          ", 0
            db  "PUSH       ", 0, "6A              ", 0, "imm8                ", 0, "Push immmediate byte onto the stack.                              ", 0, "286          ", 0
            db  "PUSH       ", 0, "FF /6           ", 0, "r/m                 ", 0, "Push source onto the stack.                                       ", 0, "86/386       ", 0
            db  "PUSH       ", 0, "16              ", 0, "SS                  ", 0, "Push SS onto the stack.                                           ", 0, "86           ", 0
            db  "PUSHA      ", 0, "60              ", 0, "n/a                 ", 0, "Push all general-purpose registers.                               ", 0, "186/386      ", 0
            db  "PUSHAD     ", 0, "60              ", 0, "n/a                 ", 0, "Push all general-purpose registers.                               ", 0, "186/386      ", 0
            db  "PUSHF      ", 0, "9C              ", 0, "n/a                 ", 0, "Push CPU flags.                                                   ", 0, "186/386      ", 0
            db  "PUSHFD     ", 0, "9C              ", 0, "n/a                 ", 0, "Push CPU flags.                                                   ", 0, "186/386      ", 0
            db  "PXOR       ", 0, "0F EF /r        ", 0, "mm1,mm2/m64         ", 0, "Bitwise XOR of 64-bit MMX operands.                               ", 0, "MMX          ", 0
            db  "PXOR       ", 0, "66 0F EF /r     ", 0, "xmm1,xmm2/m128      ", 0, "Bitwise XOR of 128-bit MMX operands.                              ", 0, "SSE3         ", 0
            db  "RCL        ", 0, "D1 /2           ", 0, "r/m,1               ", 0, "Rotate left through carry bit.                                    ", 0, "86/386       ", 0
            db  "RCL        ", 0, "D3 /2           ", 0, "r/m,CL              ", 0, "Rotate left through carry bit.                                    ", 0, "86/386       ", 0
            db  "RCL        ", 0, "C1 /2 ib        ", 0, "r/m,imm8            ", 0, "Rotate left through carry bit.                                    ", 0, "286          ", 0
            db  "RCL        ", 0, "D0 /2           ", 0, "r/m8,1              ", 0, "Rotate left through carry bit.                                    ", 0, "86           ", 0
            db  "RCL        ", 0, "D2 /2           ", 0, "r/m8,CL             ", 0, "Rotate left through carry bit.                                    ", 0, "86           ", 0
            db  "RCL        ", 0, "C0 /2 ib        ", 0, "r/m8,imm8           ", 0, "Rotate left through carry bit.                                    ", 0, "286          ", 0
            db  "RCPPS      ", 0, "0F 53 /r        ", 0, "xmm1,xmm2/m128      ", 0, "Reciprocals of packed sngle-prec. floats.                         ", 0, "SSE          ", 0
            db  "RCPSS      ", 0, "F3 0F 53 /r     ", 0, "xmm1,xmm2/m32       ", 0, "Reciprocal of scalar sngle-prec. floats.                          ", 0, "SSE          ", 0
            db  "RCR        ", 0, "D1 /3           ", 0, "r/m,1               ", 0, "Rotate right through carry bit.                                   ", 0, "86/386       ", 0
            db  "RCR        ", 0, "D3 /3           ", 0, "r/m,CL              ", 0, "Rotate right through carry bit.                                   ", 0, "86/386       ", 0
            db  "RCR        ", 0, "C1 /3 ib        ", 0, "r/m,imm8            ", 0, "Rotate right through carry bit.                                   ", 0, "286          ", 0
            db  "RCR        ", 0, "D0 /3           ", 0, "r/m8,1              ", 0, "Rotate right through carry bit.                                   ", 0, "86           ", 0
            db  "RCR        ", 0, "D2 /3           ", 0, "r/m8,CL             ", 0, "Rotate right through carry bit.                                   ", 0, "86           ", 0
            db  "RCR        ", 0, "C0 /3 ib        ", 0, "r/m8,imm8           ", 0, "Rotate right through carry bit.                                   ", 0, "286          ", 0
            db  "RDMSR      ", 0, "0F 32           ", 0, "n/a                 ", 0, "Read Model Specific Registers.                                    ", 0, "P5,PRIV      ", 0
            db  "RDPMC      ", 0, "0F 33           ", 0, "n/a                 ", 0, "Read performance-monitoring counters.                             ", 0, "P6           ", 0
            db  "RDSHR      ", 0, "0F 36 /0        ", 0, "r/m32               ", 0, "Read SMM header pointer register.                                 ", 0, "386,CYRIX,SMM", 0
            db  "RDTSC      ", 0, "0F 31           ", 0, "n/a                 ", 0, "Read time-stamp counter.                                          ", 0, "P5           ", 0
            db  "REP        ", 0, "F3              ", 0, "(Prefix)            ", 0, "Repeat while eCX<>0 and ZF=1.                                     ", 0, "86           ", 0
            db  "REPE       ", 0, "F3              ", 0, "(Prefix)            ", 0, "Repeat while eCX<>0 and ZF=1.                                     ", 0, "86           ", 0
            db  "REPZ       ", 0, "F3              ", 0, "(Prefix)            ", 0, "Repeat while eCX<>0 and ZF=1.                                     ", 0, "86           ", 0
            db  "REPNE      ", 0, "F2              ", 0, "(Prefix)            ", 0, "Repeat while eCX<>0 and ZF=0.                                     ", 0, "86           ", 0
            db  "REPNZ      ", 0, "F2              ", 0, "(Prefix)            ", 0, "Repeat while eCX<>0 and ZF=0.                                     ", 0, "86           ", 0
            db  "RET        ", 0, "C2 iw           ", 0, "imm16               ", 0, "A near return from subroutine or procedure and pop data.          ", 0, "86           ", 0
            db  "RETN       ", 0, "C2 iw           ", 0, "imm16               ", 0, "A near return from subroutine or procedure and pop data.          ", 0, "86           ", 0
            db  "RET        ", 0, "C3              ", 0, "n/a                 ", 0, "A near return from subroutine or procedure.                       ", 0, "86           ", 0
            db  "RETN       ", 0, "C3              ", 0, "n/a                 ", 0, "A near return from subroutine or procedure.                       ", 0, "86           ", 0
            db  "RETF       ", 0, "CB              ", 0, "n/a                 ", 0, "A far return from subroutine or procedure.                        ", 0, "86           ", 0
            db  "RETF       ", 0, "CA iw           ", 0, "imm16               ", 0, "A far return from subroutine or procedure.                        ", 0, "86           ", 0
            db  "ROL        ", 0, "D1 /0           ", 0, "r/m,1               ", 0, "Rotate left.                                                      ", 0, "86,386       ", 0
            db  "ROL        ", 0, "D3 /0           ", 0, "r/m,CL              ", 0, "Rotate left.                                                      ", 0, "86,386       ", 0
            db  "ROL        ", 0, "C1 /0 ib        ", 0, "r/m,imm8            ", 0, "Rotate left.                                                      ", 0, "286          ", 0
            db  "ROL        ", 0, "D0 /0           ", 0, "r/m8,1              ", 0, "Rotate left.                                                      ", 0, "86           ", 0
            db  "ROL        ", 0, "D2 /0           ", 0, "r/m8,CL             ", 0, "Rotate left.                                                      ", 0, "86           ", 0
            db  "ROL        ", 0, "C0 /0 ib        ", 0, "r/m8,imm8           ", 0, "Rotate left.                                                      ", 0, "286          ", 0
            db  "ROR        ", 0, "D1 /1           ", 0, "r/m,1               ", 0, "Rotate right.                                                     ", 0, "86,386       ", 0
            db  "ROR        ", 0, "D3 /1           ", 0, "r/m,CL              ", 0, "Rotate right.                                                     ", 0, "86,386       ", 0
            db  "ROR        ", 0, "C1 /1 ib        ", 0, "r/m,imm8            ", 0, "Rotate right.                                                     ", 0, "286          ", 0
            db  "ROR        ", 0, "D0 /1           ", 0, "r/m8,1              ", 0, "Rotate right.                                                     ", 0, "86           ", 0
            db  "ROR        ", 0, "D2 /1           ", 0, "r/m8,CL             ", 0, "Rotate right.                                                     ", 0, "86           ", 0
            db  "ROR        ", 0, "C0 /1 ib        ", 0, "r/m8,imm8           ", 0, "Rotate right.                                                     ", 0, "286          ", 0
            db  "RSDC       ", 0, "0F 79 /r        ", 0, "sreg,m80            ", 0, "Restore segment register and descriptor.                          ", 0, "486,CYRIX,SMM", 0
            db  "RSLDT      ", 0, "0F 7B /0        ", 0, "m80                 ", 0, "Restore LDTR and descriptor.                                      ", 0, "486,CYRIX,SMM", 0
            db  "RSM        ", 0, "0F AA           ", 0, "n/a                 ", 0, "Resume from System Management Mode.                               ", 0, "P5           ", 0
            db  "RSQRTPS    ", 0, "0F 52 /r        ", 0, "xmm1,xmm2/m128      ", 0, "Reciprocals of sq. roots of packed sngle-prec.floats.             ", 0, "SSE          ", 0
            db  "RSQRTSS    ", 0, "F3 0F 52 /r     ", 0, "xmm1,xmm2/m32       ", 0, "Reciprocal of sq. root of packed sngle-prec. float.               ", 0, "SSE          ", 0
            db  "RSTS       ", 0, "0F 7D /0        ", 0, "m80                 ", 0, "Restore TSR and descriptor.                                       ", 0, "486,CYRIX,SMM", 0
            db  "SAHF       ", 0, "9E              ", 0, "n/a                 ", 0, "Store AH into CPU flags.                                          ", 0, "86           ", 0
            db  "SAL        ", 0, "D1 /4           ", 0, "r/m,1               ", 0, "Left shift.                                                       ", 0, "86/386       ", 0
            db  "SAL        ", 0, "D3 /4           ", 0, "r/m,CL              ", 0, "Left shift.                                                       ", 0, "86/386       ", 0
            db  "SAL        ", 0, "C1 /4 ib        ", 0, "r/m,imm8            ", 0, "Left shift.                                                       ", 0, "286          ", 0
            db  "SAL        ", 0, "D0 /4           ", 0, "r/m8,1              ", 0, "Left shift.                                                       ", 0, "86           ", 0
            db  "SAL        ", 0, "D2 /4           ", 0, "r/m8,CL             ", 0, "Left shift.                                                       ", 0, "86           ", 0
            db  "SAL        ", 0, "C0 /4 ib        ", 0, "r/m8,imm8           ", 0, "Left shift.                                                       ", 0, "286          ", 0
            db  "SALC       ", 0, "D6              ", 0, "n/a                 ", 0, "Set AL from the CF (only on 8086).                                ", 0, "86,UNDOC     ", 0
            db  "SAR        ", 0, "D1 /7           ", 0, "r/m,1               ", 0, "Arithmetic shift right.                                           ", 0, "86/386       ", 0
            db  "SAR        ", 0, "D3 /7           ", 0, "r/m,CL              ", 0, "Arithmetic shift right.                                           ", 0, "86/386       ", 0
            db  "SAR        ", 0, "C1 /7 ib        ", 0, "r/m,imm8            ", 0, "Arithmetic shift right.                                           ", 0, "286          ", 0
            db  "SAR        ", 0, "D0 /7           ", 0, "r/m8,1              ", 0, "Arithmetic shift right.                                           ", 0, "86           ", 0
            db  "SAR        ", 0, "D2 /7           ", 0, "r/m8,CL             ", 0, "Arithmetic shift right.                                           ", 0, "86           ", 0
            db  "SAR        ", 0, "C0 /7 ib        ", 0, "r/m8,imm8           ", 0, "Arithmetic shift right.                                           ", 0, "286          ", 0
            db  "SBB        ", 0, "1C ib           ", 0, "AL,imm8             ", 0, "Subtract two integers with borrow.                                ", 0, "86           ", 0
            db  "SBB        ", 0, "1D iv           ", 0, "eAX,imm             ", 0, "Subtract two integers with borrow.                                ", 0, "86/386       ", 0
            db  "SBB        ", 0, "81 /3 iw        ", 0, "r/m,imm             ", 0, "Subtract two integers with borrow.                                ", 0, "86/386       ", 0
            db  "SBB        ", 0, "83 /3 ib        ", 0, "r/m,imm8            ", 0, "Subtract two integers with borrow.                                ", 0, "86/386       ", 0
            db  "SBB        ", 0, "19 /r           ", 0, "r/m,reg             ", 0, "Subtract two integers with borrow.                                ", 0, "86/386       ", 0
            db  "SBB        ", 0, "80 /3 ib        ", 0, "r/m8,imm8           ", 0, "Subtract two integers with borrow.                                ", 0, "86           ", 0
            db  "SBB        ", 0, "82 /3 ib        ", 0, "r/m8,imm8           ", 0, "Subtract two integers with borrow.                                ", 0, "86           ", 0
            db  "SBB        ", 0, "18 /r           ", 0, "r/m8,reg8           ", 0, "Subtract two integers with borrow.                                ", 0, "86           ", 0
            db  "SBB        ", 0, "1B /r           ", 0, "reg32,r/m           ", 0, "Subtract two integers with borrow.                                ", 0, "86/386       ", 0
            db  "SBB        ", 0, "1A /r           ", 0, "reg8,r/m8           ", 0, "Subtract two integers with borrow.                                ", 0, "86           ", 0
            db  "SCASB      ", 0, "AE              ", 0, "n/a                 ", 0, "Scan string byte.                                                 ", 0, "86           ", 0
            db  "SCASW      ", 0, "AF              ", 0, "n/a                 ", 0, "Scan string word.                                                 ", 0, "86/386       ", 0
            db  "SCASD      ", 0, "AF              ", 0, "n/a                 ", 0, "Scan string DW   .                                                ", 0, "86/386       ", 0
            db  "SETA       ", 0, "0F 97 /2        ", 0, "r/m8                ", 0, "Set byte if above (CF=0 and ZF=0).                                ", 0, "386          ", 0
            db  "SETNBE     ", 0, "0F 97 /2        ", 0, "r/m8                ", 0, "Set byte if above (CF=0 and ZF=0).                                ", 0, "386          ", 0
            db  "SETAE      ", 0, "0F 93 /2        ", 0, "r/m8                ", 0, "Set byte if above or equal (CF=0).                                ", 0, "386          ", 0
            db  "SETNB      ", 0, "0F 93 /2        ", 0, "r/m8                ", 0, "Set byte if above or equal (CF=0).                                ", 0, "386          ", 0
            db  "SETNC      ", 0, "0F 93 /2        ", 0, "r/m8                ", 0, "Set byte if above or equal (CF=0).                                ", 0, "386          ", 0
            db  "SETB       ", 0, "0F 92 /2        ", 0, "r/m8                ", 0, "Set byte if below (CF=1).                                         ", 0, "386          ", 0
            db  "SETC       ", 0, "0F 92 /2        ", 0, "r/m8                ", 0, "Set byte if below (CF=1).                                         ", 0, "386          ", 0
            db  "SETNAE     ", 0, "0F 92 /2        ", 0, "r/m8                ", 0, "Set byte if below (CF=1).                                         ", 0, "386          ", 0
            db  "SETBE      ", 0, "0F 96 /2        ", 0, "r/m8                ", 0, "Set byte if below or equal (CF=1 or ZF=1).                        ", 0, "386          ", 0
            db  "SETNA      ", 0, "0F 96 /2        ", 0, "r/m8                ", 0, "Set byte if below or equal (CF=1 or ZF=1).                        ", 0, "386          ", 0
            db  "SETE       ", 0, "0F 94 /2        ", 0, "r/m8                ", 0, "Set byte if equal (ZF=1).                                         ", 0, "386          ", 0
            db  "SETZ       ", 0, "0F 94 /2        ", 0, "r/m8                ", 0, "Set byte if equal (ZF=1).                                         ", 0, "386          ", 0
            db  "SETG       ", 0, "0F 9F /2        ", 0, "r/m8                ", 0, "Set byte if greater (ZF=0 and SF=OF).                             ", 0, "386          ", 0
            db  "SETNLE     ", 0, "0F 9F /2        ", 0, "r/m8                ", 0, "Set byte if greater (ZF=0 and SF=OF).                             ", 0, "386          ", 0
            db  "SETGE      ", 0, "0F 9D /2        ", 0, "r/m8                ", 0, "Set byte if greater or equal (SF=OF).                             ", 0, "386          ", 0
            db  "SETNL      ", 0, "0F 9D /2        ", 0, "r/m8                ", 0, "Set byte if greater or equal (SF=OF).                             ", 0, "386          ", 0
            db  "SETLE      ", 0, "0F 9C /2        ", 0, "r/m8                ", 0, "Set byte if less (SF<>OF).                                        ", 0, "386          ", 0
            db  "SETNGE     ", 0, "0F 9C /2        ", 0, "r/m8                ", 0, "Set byte if less (SF<>OF).                                        ", 0, "386          ", 0
            db  "SETLE      ", 0, "0F 9E /2        ", 0, "r/m8                ", 0, "Set byte if less or equal (ZF=1 or SF<>OF).                       ", 0, "386          ", 0
            db  "SETNG      ", 0, "0F 9E /2        ", 0, "r/m8                ", 0, "Set byte if less or equal (ZF=1 or SF<>OF).                       ", 0, "386          ", 0
            db  "SETNE      ", 0, "0F 95 /2        ", 0, "r/m8                ", 0, "Set byte if not equal (ZF=0).                                     ", 0, "386          ", 0
            db  "SETNZ      ", 0, "0F 95 /2        ", 0, "r/m8                ", 0, "Set byte if not equal (ZF=0).                                     ", 0, "386          ", 0
            db  "SETNO      ", 0, "0F 91 /2        ", 0, "r/m8                ", 0, "Set byte if not overflow (OF=0).                                  ", 0, "386          ", 0
            db  "SETNP      ", 0, "0F 9B /2        ", 0, "r/m8                ", 0, "Set byte if parity odd (PF=0).                                    ", 0, "386          ", 0
            db  "SETPO      ", 0, "0F 9B /2        ", 0, "r/m8                ", 0, "Set byte if parity odd (PF=0).                                    ", 0, "386          ", 0
            db  "SETNS      ", 0, "0F 99 /2        ", 0, "r/m8                ", 0, "Set byte if not sign (SF=0).                                      ", 0, "386          ", 0
            db  "SETO       ", 0, "0F 90 /2        ", 0, "r/m8                ", 0, "Set byte if overflow (OF=1).                                      ", 0, "386          ", 0
            db  "SETP       ", 0, "0F 9A /2        ", 0, "r/m8                ", 0, "Set byte if parity even (PF=1).                                   ", 0, "386          ", 0
            db  "SETPE      ", 0, "0F 9A /2        ", 0, "r/m8                ", 0, "Set byte if parity even (PF=1).                                   ", 0, "386          ", 0
            db  "SETS       ", 0, "0F 98 /2        ", 0, "r/m8                ", 0, "Set byte if sign (SF=1).                                          ", 0, "386          ", 0
            db  "SFENCE     ", 0, "0F AE /3|7      ", 0, "n/a                 ", 0, "Store fence.                                                      ", 0, "SSE          ", 0
            db  "SGDT       ", 0, "0F 01 /0        ", 0, "mem                 ", 0, "Store GDTR into memory.                                           ", 0, "286          ", 0
            db  "SHL        ", 0, "D1 /4           ", 0, "r/m,1               ", 0, "Logical left shift.                                               ", 0, "86/386       ", 0
            db  "SHL        ", 0, "D3 /4           ", 0, "r/m,CL              ", 0, "Logical left shift.                                               ", 0, "86/386       ", 0
            db  "SHL        ", 0, "C1 /4 ib        ", 0, "r/m,imm8            ", 0, "Logical left shift.                                               ", 0, "286          ", 0
            db  "SHL        ", 0, "D0 /4           ", 0, "r/m8,1              ", 0, "Logical left shift.                                               ", 0, "86           ", 0
            db  "SHL        ", 0, "D2 /4           ", 0, "r/m8,CL             ", 0, "Logical left shift.                                               ", 0, "86           ", 0
            db  "SHL        ", 0, "C0 /4 ib        ", 0, "r/m8,imm8           ", 0, "Logical left shift.                                               ", 0, "286          ", 0
            db  "SHLD       ", 0, "0F A5           ", 0, "r/m,reg,CL          ", 0, "Double prec. left shift.                                          ", 0, "386          ", 0
            db  "SHLD       ", 0, "0F A4           ", 0, "r/m,reg,imm8        ", 0, "Double prec. left shift.                                          ", 0, "386          ", 0
            db  "SHR        ", 0, "D1 /5           ", 0, "r/m,1               ", 0, "Logical right shift.                                              ", 0, "86/386       ", 0
            db  "SHR        ", 0, "D3 /5           ", 0, "r/m,CL              ", 0, "Logical right shift.                                              ", 0, "86,386       ", 0
            db  "SHR        ", 0, "C1 /5 ib        ", 0, "r/m,imm8            ", 0, "Logical right shift.                                              ", 0, "286          ", 0
            db  "SHR        ", 0, "D0 /5           ", 0, "r/m8,1              ", 0, "Logical right shift.                                              ", 0, "86           ", 0
            db  "SHR        ", 0, "D2 /5           ", 0, "r/m8,CL             ", 0, "Logical right shift.                                              ", 0, "86           ", 0
            db  "SHR        ", 0, "C0 /5 ib        ", 0, "r/m8,imm8           ", 0, "Logical right shift.                                              ", 0, "286          ", 0
            db  "SHRD       ", 0, "0F AD /r        ", 0, "r/m,reg,CL          ", 0, "Double prec. right shift.                                         ", 0, "386          ", 0
            db  "SHRD       ", 0, "0F AC /r ib     ", 0, "r/m,reg,imm8        ", 0, "Double prec. right shift.                                         ", 0, "386          ", 0
            db  "SHUFPD     ", 0, "66 0F C6 /r ib  ", 0, "xmm1,xmm2/m128,imm8 ", 0, "Shuffle packed dble-prec. floats.                                 ", 0, "SSE2         ", 0
            db  "SHUFPS     ", 0, "0F C6 /r ib     ", 0, "xmm1,xmm2/m128,imm8 ", 0, "Shuffle packed sngle-prec. floats.                                ", 0, "SSE          ", 0
            db  "SIDT       ", 0, "0F 01 /1        ", 0, "mem                 ", 0, "Store IDTR into memory.                                           ", 0, "286          ", 0
            db  "SLDT       ", 0, "0F 00 /0        ", 0, "r/m16               ", 0, "Store LDTR into memory.                                           ", 0, "286          ", 0
            db  "SMI        ", 0, "F1              ", 0, "n/a                 ", 0, "System Management Interrupt (on some AMD 386/486s).               ", 0, "386,AMD,UNDOC", 0
            db  "SMINT      ", 0, "0F 38           ", 0, "n/a                 ", 0, "Put processor into SMM mode.                                      ", 0, "P5,CYRIX     ", 0
            db  "SMINTOLD   ", 0, "0F 7E           ", 0, "n/a                 ", 0, "Put processor into SMM mode (only 486).                           ", 0, "486,CYRIX    ", 0
            db  "SMSW       ", 0, "0F 01 /4        ", 0, "r/m16               ", 0, "Store MSW (the bottom half of CR0) into memory.                   ", 0, "286          ", 0
            db  "SQRTPD     ", 0, "66 0F 51 /r     ", 0, "xmm1,xmm2/m128      ", 0, "sq. roots of packed dble-prec. floats.                            ", 0, "SSE2         ", 0
            db  "SQRTPS     ", 0, "0F 51 /r        ", 0, "xmm1,xmm2/m128      ", 0, "sq. roots of packed sngle-prec. floats.                           ", 0, "SSE          ", 0
            db  "SQRTSD     ", 0, "F2 0F 51 /r     ", 0, "xmm1,xmm2/m64       ", 0, "sq. roots of scalar dble-prec. floats.                            ", 0, "SSE2         ", 0
            db  "SQRTSS     ", 0, "F3 0F 51 /r     ", 0, "xmm1,xmm2/m32       ", 0, "sq. roots of scalar sngle-prec. floats.                           ", 0, "SSE          ", 0
            db  "STC        ", 0, "F9              ", 0, "n/a                 ", 0, "Set the CF flag.                                                  ", 0, "86           ", 0
            db  "STD        ", 0, "FD              ", 0, "n/a                 ", 0, "Set the DF flag.                                                  ", 0, "86           ", 0
            db  "STI        ", 0, "FB              ", 0, "n/a                 ", 0, "Set the IF flag (enable interrupts).                              ", 0, "86           ", 0
            db  "STMXCSR    ", 0, "0F AE /mem|3    ", 0, "m32                 ", 0, "Store MXCSR state.                                                ", 0, "SSE          ", 0
            db  "STOSB      ", 0, "AA              ", 0, "n/a                 ", 0, "Store byte to string.                                             ", 0, "86           ", 0
            db  "STOSW      ", 0, "AB              ", 0, "n/a                 ", 0, "Store word to string.                                             ", 0, "86/386       ", 0
            db  "STOSD      ", 0, "AB              ", 0, "n/a                 ", 0, "Store DW to string.                                               ", 0, "86/386       ", 0
            db  "STR        ", 0, "0F 00 /1        ", 0, "r/m16               ", 0, "Store TR into memory.                                             ", 0, "286          ", 0
            db  "SUB        ", 0, "2C ib           ", 0, "AL,imm8             ", 0, "Subtract two integers.                                            ", 0, "86           ", 0
            db  "SUB        ", 0, "2D iv           ", 0, "eAX,imm             ", 0, "Subtract two integers.                                            ", 0, "86/386       ", 0
            db  "SUB        ", 0, "81 /5 iv        ", 0, "r/m,imm             ", 0, "Subtract two integers.                                            ", 0, "86/386       ", 0
            db  "SUB        ", 0, "83 /5 ib        ", 0, "r/m,imm8            ", 0, "Subtract two integers.                                            ", 0, "86/386       ", 0
            db  "SUB        ", 0, "29 /r           ", 0, "r/m,reg             ", 0, "Subtract two integers.                                            ", 0, "86/386       ", 0
            db  "SUB        ", 0, "80 /5 ib        ", 0, "r/m8,imm8           ", 0, "Subtract two integers.                                            ", 0, "86           ", 0
            db  "SUB        ", 0, "82 /5 ib        ", 0, "r/m8,imm8           ", 0, "Subtract two integers.                                            ", 0, "86           ", 0
            db  "SUB        ", 0, "28 /r           ", 0, "r/m8,reg8           ", 0, "Subtract two integers.                                            ", 0, "86           ", 0
            db  "SUB        ", 0, "2B /r           ", 0, "reg,r/m             ", 0, "Subtract two integers.                                            ", 0, "86/386       ", 0
            db  "SUB        ", 0, "2A /r           ", 0, "reg8,r/m8           ", 0, "Subtract two integers.                                            ", 0, "86           ", 0
            db  "SUBPD      ", 0, "66 0F 5C /r     ", 0, "xmm1,xmm2/m128      ", 0, "Subtract packed dble-prec. floats.                                ", 0, "SSE2         ", 0
            db  "SUBPS      ", 0, "0F 5C /r        ", 0, "xmm1,xmm2/m128      ", 0, "Subtract packed sngle-prec. floats.                               ", 0, "SSE          ", 0
            db  "SUBSD      ", 0, "F2 0F 5C /r     ", 0, "xmm1,xmm2/m128      ", 0, "Subtract scalar dble-prec. floats.                                ", 0, "SSE2         ", 0
            db  "SUBSS      ", 0, "F3 0F 5C /r     ", 0, "xmm1,xmm2/m128      ", 0, "Subtract scalar sngle-prec. floats.                               ", 0, "SSE          ", 0
            db  "SVDC       ", 0, "0F 78 /r        ", 0, "sreg,m80            ", 0, "Save segment register and descriptor.                             ", 0, "486,CYRIX,SMM", 0
            db  "SVLDT      ", 0, "0F 7A /0        ", 0, "m80                 ", 0, "Save LDTR and descriptor.                                         ", 0, "486,CYRIX,SMM", 0
            db  "SVTS       ", 0, "0F 7C /0        ", 0, "m80                 ", 0, "Save TSR and descriptor.                                          ", 0, "486,CYRIX,SMM", 0
            db  "SYSCALL    ", 0, "0F 05           ", 0, "n/a                 ", 0, "Call operating system.                                            ", 0, "P6,AMD       ", 0
            db  "SYSENTER   ", 0, "0F 34           ", 0, "n/a                 ", 0, "Fast system call.                                                 ", 0, "P6           ", 0
            db  "SYSEXIT    ", 0, "0F 35           ", 0, "n/a                 ", 0, "Fast return from fast system call.                                ", 0, "P6,PRIV      ", 0
            db  "SYSRET     ", 0, "0F 07           ", 0, "n/a                 ", 0, "Return from operating system.                                     ", 0, "P6,AMD,PRIV  ", 0
            db  "TEST       ", 0, "A8 ib           ", 0, "AL,imm8             ", 0, "Bitwise test of two integers.                                     ", 0, "86           ", 0
            db  "TEST       ", 0, "A9 iv           ", 0, "eAX,imm             ", 0, "Bitwise test of two integers.                                     ", 0, "86/386       ", 0
            db  "TEST       ", 0, "F7 /0 iv        ", 0, "r/m,imm             ", 0, "Bitwise test of two integers.                                     ", 0, "86/386       ", 0
            db  "TEST       ", 0, "85 /r           ", 0, "r/m,reg             ", 0, "Bitwise test of two integers.                                     ", 0, "86/386       ", 0
            db  "TEST       ", 0, "F6 /0 ib        ", 0, "r/m8,imm8           ", 0, "Bitwise test of two integers.                                     ", 0, "86           ", 0
            db  "TEST       ", 0, "84 /r           ", 0, "r/m8,reg8           ", 0, "Bitwise test of two integers.                                     ", 0, "86           ", 0
            db  "UCOMISD    ", 0, "66 0F 2E /r     ", 0, "xmm1,xmm2/m128      ", 0, "Unordered compare scalar dble-prec. floats.                       ", 0, "SSE2         ", 0
            db  "UCOMISS    ", 0, "0F 2E /r        ", 0, "xmm1,xmm2/m128      ", 0, "Unordered compare scalar dble-prec. floats.                       ", 0, "SSE          ", 0
            db  "UD0        ", 0, "0F FF           ", 0, "n/a                 ", 0, "Used by AMD for an invalid opcode exception.                      ", 0, "186,UNDOC    ", 0
            db  "UD1        ", 0, "0F B9           ", 0, "n/a                 ", 0, "Used by Intel for an invalid opcode exception.                    ", 0, "186,UNDOC    ", 0
            db  "UD2        ", 0, "0F 0B           ", 0, "n/a                 ", 0, "Undefined instruction (for invalid opcode exception).             ", 0, "186          ", 0
            db  "UMOV       ", 0, "0F 11 /r        ", 0, "r/m,reg             ", 0, "Move user data (on some AMD and IBM 386/486s).                    ", 0, "386,AMD,UNDOC", 0
            db  "UMOV       ", 0, "0F 10 /r        ", 0, "r/m8,reg8           ", 0, "Move user data (on some AMD and IBM 386/486s).                    ", 0, "386,AMD,UNDOC", 0
            db  "UMOV       ", 0, "0F 13 /r        ", 0, "reg,r/m             ", 0, "Move user data (on some AMD and IBM 386/486s).                    ", 0, "386,AMD,UNDOC", 0
            db  "UMOV       ", 0, "0F 12 /r        ", 0, "reg8,r/m8           ", 0, "Move user data (on some AMD and IBM 386/486s).                    ", 0, "386,AMD,UNDOC", 0
            db  "UNPCKHPD   ", 0, "66 0F 15 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Interleaved unpack of high packed dble-prec. floats.              ", 0, "SSE2         ", 0
            db  "UNPCKHPS   ", 0, "0F 15 /r        ", 0, "xmm1,xmm2/m128      ", 0, "Interleaved unpack of high packed sngle-prec. floats.             ", 0, "SSE          ", 0
            db  "UNPCKLPD   ", 0, "66 0F 14 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Interleaved unpack of low packed dble-prec. floats.               ", 0, "SSE2         ", 0
            db  "UNPCKLPS   ", 0, "0F 14 /r        ", 0, "xmm1,xmm2/m128      ", 0, "Interleaved unpack of low packed sngle-prec. floats.              ", 0, "SSE          ", 0
            db  "VERR       ", 0, "0F 00 /4        ", 0, "r/m16               ", 0, "Verify a segment for reading.                                     ", 0, "286          ", 0
            db  "VERW       ", 0, "0F 00 /5        ", 0, "r/m16               ", 0, "Verify a segment for writing.                                     ", 0, "286          ", 0
            db  "WAIT       ", 0, "9B              ", 0, "n/a                 ", 0, "Wait until all pending FPU exceptions have happened.              ", 0, "86           ", 0
            db  "FWAIT      ", 0, "9B              ", 0, "n/a                 ", 0, "Wait until all pending FPU exceptions have happened.              ", 0, "86           ", 0
            db  "WBINVD     ", 0, "0F 09           ", 0, "n/a                 ", 0, "Write back and invalidate cache.                                  ", 0, "486,PRIV     ", 0
            db  "WRMSR      ", 0, "0F 30           ", 0, "n/a                 ", 0, "Write model-specific register.                                    ", 0, "P5,PRIV      ", 0
            db  "WRSHR      ", 0, "0F 37 /0        ", 0, "r/m32               ", 0, "Read SMM header pointer register.                                 ", 0, "386,CYRIX,SMM", 0
            db  "XADD       ", 0, "0F C1 /r        ", 0, "r/m,reg             ", 0, "Exchange and add.                                                 ", 0, "486          ", 0
            db  "XADD       ", 0, "0F C0 /r        ", 0, "r/m8,reg8           ", 0, "Exchange and add.                                                 ", 0, "486          ", 0
            db  "XBTS       ", 0, "0F A6 /r        ", 0, "reg,r/m             ", 0, "Write bits from r/m to reg (only on the old 386s).                ", 0, "386,UNDOC    ", 0
            db  "XCHG       ", 0, "95              ", 0, "eAX,eBP or reverse  ", 0, "Exchange contents of two registers.                               ", 0, "86/386       ", 0
            db  "XCHG       ", 0, "93              ", 0, "eAX,eBX or reverse  ", 0, "Exchange contents of two registers.                               ", 0, "86/386       ", 0
            db  "XCHG       ", 0, "91              ", 0, "eAX,eCX or reverse  ", 0, "Exchange contents of two registers.                               ", 0, "86/386       ", 0
            db  "XCHG       ", 0, "97              ", 0, "eAX,eDI or reverse  ", 0, "Exchange contents of two registers.                               ", 0, "86/386       ", 0
            db  "XCHG       ", 0, "92              ", 0, "eAX,eDX or reverse  ", 0, "Exchange contents of two registers.                               ", 0, "86/386       ", 0
            db  "XCHG       ", 0, "96              ", 0, "eAX,eSI or reverse  ", 0, "Exchange contents of two registers.                               ", 0, "86/386       ", 0
            db  "XCHG       ", 0, "94              ", 0, "eAX,eSP or reverse  ", 0, "Exchange contents of two registers.                               ", 0, "86/386       ", 0
            db  "XCHG       ", 0, "87 /r           ", 0, "r/m,reg or reverse  ", 0, "Exchange contents of two operands.                                ", 0, "86/386       ", 0
            db  "XCHG       ", 0, "86 /r           ", 0, "r/m8,reg8 or reverse", 0, "Exchange contents of two operands.                                ", 0, "86           ", 0
            db  "XLAT       ", 0, "D7              ", 0, "n/a                 ", 0, "Move byte from [eBX+AL] into AL.                                  ", 0, "86           ", 0
            db  "XLATB      ", 0, "D7              ", 0, "n/a                 ", 0, "Move byte from [eBX+AL] into AL.                                  ", 0, "86           ", 0
            db  "XOR        ", 0, "34 ib           ", 0, "AL,imm8             ", 0, "Bitwise XOR of two registers.                                     ", 0, "86           ", 0
            db  "XOR        ", 0, "35 iv           ", 0, "eAX,imm             ", 0, "Bitwise XOR of two registers.                                     ", 0, "86,386       ", 0
            db  "XOR        ", 0, "81 /6 iw        ", 0, "r/m,imm             ", 0, "Bitwise XOR of two registers.                                     ", 0, "86,386       ", 0
            db  "XOR        ", 0, "83 /6 ib        ", 0, "r/m,imm8            ", 0, "Bitwise XOR of two registers.                                     ", 0, "86,386       ", 0
            db  "XOR        ", 0, "31 /r           ", 0, "r/m,reg             ", 0, "Bitwise XOR of two registers.                                     ", 0, "86,386       ", 0
            db  "XOR        ", 0, "80 /6 ib        ", 0, "r/m8,imm8           ", 0, "Bitwise XOR of two registers.                                     ", 0, "86           ", 0
            db  "XOR        ", 0, "82 /6 ib        ", 0, "r/m8,imm8           ", 0, "Bitwise XOR of two registers.                                     ", 0, "86           ", 0
            db  "XOR        ", 0, "30 /r           ", 0, "r/m8,reg8           ", 0, "Bitwise XOR of two registers.                                     ", 0, "86           ", 0
            db  "XOR        ", 0, "33 /r           ", 0, "reg,r/m             ", 0, "Bitwise XOR of two registers.                                     ", 0, "86,386       ", 0
            db  "XOR        ", 0, "32 /r           ", 0, "reg8,r/m8           ", 0, "Bitwise XOR of two registers.                                     ", 0, "86           ", 0
            db  "XORPD      ", 0, "66 0F 57 /r     ", 0, "xmm1,xmm2/m128      ", 0, "Bitwise XOR of dble-prec. floats.                                 ", 0, "SSE2         ", 0
            db  "XORPS      ", 0, "0F 57 /r        ", 0, "xmm1,xmm2/m128      ", 0, "Bitwise XOR of sngle-prec. floats.                                ", 0, "SSE          ", 0
            db  0

.data?
;---------------------------------------
hInstance   HINSTANCE   ?
hList1      dd  ?

.code
;---------------------------------------
start:
     invoke  GetModuleHandle, 0
     mov     hInstance, eax
     invoke  DialogBoxParam, hInstance, IDD_DLG1, NULL, addr DlgProc2, NULL
     invoke  ExitProcess, eax

DlgProc2 proc hhWnd:HWND,uMsg:UINT,wParam:WPARAM,lParam:LPARAM
;---------------------------------------
    .if uMsg ==  WM_INITDIALOG
      invoke  InitCommonControls
      invoke  GetDlgItem, hhWnd, IDC_LIST1
      mov     hList1, eax
      invoke  InsertColumns, hList1, \
              offset szColumn1, offset szColumn2, offset szColumn3, \
              offset szColumn4, offset szColumn5
      invoke  AddItems
    .elseif uMsg ==  WM_COMMAND
      mov     eax, wParam
      .if eax == IDM_EXIT
        invoke  EndDialog, hhWnd, 0
      .endif
    .elseif uMsg ==  WM_CLOSE
      invoke  EndDialog, hhWnd, 0
    .else
      mov     eax, FALSE
      ret
    .endif
    mov     eax, TRUE
    ret
;---------------------------------------
DlgProc2 endp

InsertColumns  proc hList, lpHead1, lpHead2, lpHead3, lpHead4, lpHead5
;---------------------------------------
    local   lvc:LV_COLUMN

    pushad
    mov     lvc.imask,LVCF_TEXT+LVCF_WIDTH+LVCF_FMT
    mov     lvc.fmt,LVCFMT_LEFT
    push    lpHead1
    pop     lvc.pszText
    mov     lvc.lx,90
    invoke  SendMessage,hList,LVM_INSERTCOLUMN,0,addr lvc
    push    lpHead2
    pop     lvc.pszText
    mov     lvc.lx,90
    invoke  SendMessage,hList,LVM_INSERTCOLUMN,1,addr lvc
    push    lpHead3
    pop     lvc.pszText
    mov     lvc.lx,130
    invoke  SendMessage,hList,LVM_INSERTCOLUMN,2,addr lvc
    push    lpHead4
    pop     lvc.pszText
    mov     lvc.lx,340
    invoke  SendMessage,hList,LVM_INSERTCOLUMN,3,addr lvc
    push    lpHead5
    pop     lvc.pszText
    mov     lvc.lx,100
    invoke  SendMessage,hList,LVM_INSERTCOLUMN,4,addr lvc
    Invoke  SendMessage, hList, LVM_SETEXTENDEDLISTVIEWSTYLE, 0, \
            LVS_EX_FULLROWSELECT OR LVS_EX_LABELTIP OR LVS_EX_GRIDLINES
    popad
    ret
;---------------------------------------
InsertColumns endp

AddItems proc
;---------------------------------------
    LOCAL lvi:LV_ITEM

    mov esi, offset ASCII
    mov lvi.iItem, 0
    mov lvi.lParam,0
    mov ecx, 1080
@@: mov lvi.imask,LVIF_TEXT
    mov lvi.iSubItem, 0
    mov lvi.pszText,esi
    Invoke SendMessage,hList1,LVM_INSERTITEM,0,ADDR lvi
    
    mov lvi.imask,LVIF_TEXT
    mov lvi.iSubItem,1
    add esi, 12
    mov lvi.pszText,esi
    Invoke SendMessage,hList1,LVM_SETITEM,0,ADDR lvi     

    mov lvi.imask,LVIF_TEXT
    mov lvi.iSubItem,2
    add esi, 17
    mov lvi.pszText,esi
    Invoke SendMessage,hList1,LVM_SETITEM,0,ADDR lvi

    mov lvi.imask,LVIF_TEXT
    mov lvi.iSubItem,3
    add esi, 21
    mov lvi.pszText,esi
    Invoke SendMessage,hList1,LVM_SETITEM,0,ADDR lvi

    mov lvi.imask,LVIF_TEXT
    mov lvi.iSubItem,4
    add esi, 67
    mov lvi.pszText,esi
    Invoke SendMessage,hList1,LVM_SETITEM,0,ADDR lvi

    add esi, 14
    inc lvi.iItem
    inc lvi.lParam
    cmp lvi.iItem, 1080
    jne @b
done:
    ret
;---------------------------------------
AddItems endp

    end start
